# jira_cloud
Jira Cloud platform REST API documentation

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1001.0.0-SNAPSHOT
- Build package: org.openapitools.codegen.languages.DartDioClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: jira_cloud
version: 1.0.0
description: OpenAPI API client
dependencies:
  jira_cloud:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  jira_cloud:
    path: /path/to/jira_cloud
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:jira_cloud/api.dart';


var api_instance = new AppPropertiesApi();
var addonKey = addonKey_example; // String | The key of the app, as defined in its descriptor.
var propertyKey = propertyKey_example; // String | The key of the property.

try {
    api_instance.addonPropertiesResourceDeleteAddonPropertyDelete(addonKey, propertyKey);
} catch (e) {
    print("Exception when calling AppPropertiesApi->addonPropertiesResourceDeleteAddonPropertyDelete: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://mydomain.atlassian.net*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AppPropertiesApi* | [**addonPropertiesResourceDeleteAddonPropertyDelete**](doc//AppPropertiesApi.md#addonpropertiesresourcedeleteaddonpropertydelete) | **delete** /rest/atlassian-connect/1/addons/{addonKey}/properties/{propertyKey} | Delete app property
*AppPropertiesApi* | [**addonPropertiesResourceGetAddonPropertiesGet**](doc//AppPropertiesApi.md#addonpropertiesresourcegetaddonpropertiesget) | **get** /rest/atlassian-connect/1/addons/{addonKey}/properties | Get app properties
*AppPropertiesApi* | [**addonPropertiesResourceGetAddonPropertyGet**](doc//AppPropertiesApi.md#addonpropertiesresourcegetaddonpropertyget) | **get** /rest/atlassian-connect/1/addons/{addonKey}/properties/{propertyKey} | Get app property
*AppPropertiesApi* | [**addonPropertiesResourcePutAddonPropertyPut**](doc//AppPropertiesApi.md#addonpropertiesresourceputaddonpropertyput) | **put** /rest/atlassian-connect/1/addons/{addonKey}/properties/{propertyKey} | Set app property
*ApplicationRolesApi* | [**comAtlassianJiraRestV2AdminApplicationroleApplicationRoleResourceGetAllApplicationRolesGet**](doc//ApplicationRolesApi.md#comatlassianjirarestv2adminapplicationroleapplicationroleresourcegetallapplicationrolesget) | **get** /rest/api/3/applicationrole | Get all application roles
*ApplicationRolesApi* | [**comAtlassianJiraRestV2AdminApplicationroleApplicationRoleResourceGetApplicationRoleGet**](doc//ApplicationRolesApi.md#comatlassianjirarestv2adminapplicationroleapplicationroleresourcegetapplicationroleget) | **get** /rest/api/3/applicationrole/{key} | Get application role
*AuditRecordsApi* | [**comAtlassianJiraRestV2AdminAuditingAuditingResourceGetAuditRecordsGet**](doc//AuditRecordsApi.md#comatlassianjirarestv2adminauditingauditingresourcegetauditrecordsget) | **get** /rest/api/3/auditing/record | Get audit records
*AvatarsApi* | [**comAtlassianJiraRestV2IssueAvatarResourceGetAllSystemAvatarsGet**](doc//AvatarsApi.md#comatlassianjirarestv2issueavatarresourcegetallsystemavatarsget) | **get** /rest/api/3/avatar/{type}/system | Get system avatars by type
*AvatarsApi* | [**comAtlassianJiraRestV2IssueUniversalAvatarResourceDeleteAvatarDelete**](doc//AvatarsApi.md#comatlassianjirarestv2issueuniversalavatarresourcedeleteavatardelete) | **delete** /rest/api/3/universal_avatar/type/{type}/owner/{owningObjectId}/avatar/{id} | Delete avatar
*AvatarsApi* | [**comAtlassianJiraRestV2IssueUniversalAvatarResourceGetAvatarsGet**](doc//AvatarsApi.md#comatlassianjirarestv2issueuniversalavatarresourcegetavatarsget) | **get** /rest/api/3/universal_avatar/type/{type}/owner/{entityId} | Get avatars
*AvatarsApi* | [**comAtlassianJiraRestV2IssueUniversalAvatarResourceStoreAvatarPost**](doc//AvatarsApi.md#comatlassianjirarestv2issueuniversalavatarresourcestoreavatarpost) | **post** /rest/api/3/universal_avatar/type/{type}/owner/{entityId} | Load avatar
*DashboardsApi* | [**comAtlassianJiraRestV2DashboardDashboardItemPropertyResourceDeleteDashboardItemPropertyDelete**](doc//DashboardsApi.md#comatlassianjirarestv2dashboarddashboarditempropertyresourcedeletedashboarditempropertydelete) | **delete** /rest/api/3/dashboard/{dashboardId}/items/{itemId}/properties/{propertyKey} | Delete dashboard item property
*DashboardsApi* | [**comAtlassianJiraRestV2DashboardDashboardItemPropertyResourceGetDashboardItemPropertyGet**](doc//DashboardsApi.md#comatlassianjirarestv2dashboarddashboarditempropertyresourcegetdashboarditempropertyget) | **get** /rest/api/3/dashboard/{dashboardId}/items/{itemId}/properties/{propertyKey} | Get dashboard item property
*DashboardsApi* | [**comAtlassianJiraRestV2DashboardDashboardItemPropertyResourceGetDashboardItemPropertyKeysGet**](doc//DashboardsApi.md#comatlassianjirarestv2dashboarddashboarditempropertyresourcegetdashboarditempropertykeysget) | **get** /rest/api/3/dashboard/{dashboardId}/items/{itemId}/properties | Get dashboard item property keys
*DashboardsApi* | [**comAtlassianJiraRestV2DashboardDashboardItemPropertyResourceSetDashboardItemPropertyPut**](doc//DashboardsApi.md#comatlassianjirarestv2dashboarddashboarditempropertyresourcesetdashboarditempropertyput) | **put** /rest/api/3/dashboard/{dashboardId}/items/{itemId}/properties/{propertyKey} | Set dashboard item property
*DashboardsApi* | [**comAtlassianJiraRestV2DashboardDashboardResourceGetAllDashboardsGet**](doc//DashboardsApi.md#comatlassianjirarestv2dashboarddashboardresourcegetalldashboardsget) | **get** /rest/api/3/dashboard | Get all dashboards
*DashboardsApi* | [**comAtlassianJiraRestV2DashboardDashboardResourceGetDashboardGet**](doc//DashboardsApi.md#comatlassianjirarestv2dashboarddashboardresourcegetdashboardget) | **get** /rest/api/3/dashboard/{id} | Get dashboard
*DashboardsApi* | [**comAtlassianJiraRestV2DashboardDashboardResourceGetDashboardsPaginatedGet**](doc//DashboardsApi.md#comatlassianjirarestv2dashboarddashboardresourcegetdashboardspaginatedget) | **get** /rest/api/3/dashboard/search | Search for dashboards
*DynamicModulesApi* | [**dynamicModulesResourceGetModulesGet**](doc//DynamicModulesApi.md#dynamicmodulesresourcegetmodulesget) | **get** /rest/atlassian-connect/1/app/module/dynamic | Get modules
*DynamicModulesApi* | [**dynamicModulesResourceRegisterModulesPost**](doc//DynamicModulesApi.md#dynamicmodulesresourceregistermodulespost) | **post** /rest/atlassian-connect/1/app/module/dynamic | Register modules
*DynamicModulesApi* | [**dynamicModulesResourceRemoveModulesDelete**](doc//DynamicModulesApi.md#dynamicmodulesresourceremovemodulesdelete) | **delete** /rest/atlassian-connect/1/app/module/dynamic | Remove modules
*FilterSharingApi* | [**comAtlassianJiraRestV2SearchFilterResourceAddSharePermissionPost**](doc//FilterSharingApi.md#comatlassianjirarestv2searchfilterresourceaddsharepermissionpost) | **post** /rest/api/3/filter/{id}/permission | Add share permission
*FilterSharingApi* | [**comAtlassianJiraRestV2SearchFilterResourceDeleteSharePermissionDelete**](doc//FilterSharingApi.md#comatlassianjirarestv2searchfilterresourcedeletesharepermissiondelete) | **delete** /rest/api/3/filter/{id}/permission/{permissionId} | Delete share permission
*FilterSharingApi* | [**comAtlassianJiraRestV2SearchFilterResourceGetDefaultShareScopeGet**](doc//FilterSharingApi.md#comatlassianjirarestv2searchfilterresourcegetdefaultsharescopeget) | **get** /rest/api/3/filter/defaultShareScope | Get default share scope
*FilterSharingApi* | [**comAtlassianJiraRestV2SearchFilterResourceGetSharePermissionGet**](doc//FilterSharingApi.md#comatlassianjirarestv2searchfilterresourcegetsharepermissionget) | **get** /rest/api/3/filter/{id}/permission/{permissionId} | Get share permission
*FilterSharingApi* | [**comAtlassianJiraRestV2SearchFilterResourceGetSharePermissionsGet**](doc//FilterSharingApi.md#comatlassianjirarestv2searchfilterresourcegetsharepermissionsget) | **get** /rest/api/3/filter/{id}/permission | Get share permissions
*FilterSharingApi* | [**comAtlassianJiraRestV2SearchFilterResourceSetDefaultShareScopePut**](doc//FilterSharingApi.md#comatlassianjirarestv2searchfilterresourcesetdefaultsharescopeput) | **put** /rest/api/3/filter/defaultShareScope | Set default share scope
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceCreateFilterPost**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcecreatefilterpost) | **post** /rest/api/3/filter | Create filter
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceDeleteFavouriteForFilterDelete**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcedeletefavouriteforfilterdelete) | **delete** /rest/api/3/filter/{id}/favourite | Remove filter as favorite
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceDeleteFilterDelete**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcedeletefilterdelete) | **delete** /rest/api/3/filter/{id} | Delete filter
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceGetColumnsGet**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcegetcolumnsget) | **get** /rest/api/3/filter/{id}/columns | Get columns
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceGetFavouriteFiltersGet**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcegetfavouritefiltersget) | **get** /rest/api/3/filter/favourite | Get favorite filters
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceGetFilterGet**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcegetfilterget) | **get** /rest/api/3/filter/{id} | Get filter
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceGetFiltersGet**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcegetfiltersget) | **get** /rest/api/3/filter | Get filters
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceGetFiltersPaginatedGet**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcegetfilterspaginatedget) | **get** /rest/api/3/filter/search | Search for filters
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceGetMyFiltersGet**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcegetmyfiltersget) | **get** /rest/api/3/filter/my | Get my filters
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceResetColumnsDelete**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourceresetcolumnsdelete) | **delete** /rest/api/3/filter/{id}/columns | Reset columns
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceSetColumnsPut**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcesetcolumnsput) | **put** /rest/api/3/filter/{id}/columns | Set columns
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceSetFavouriteForFilterPut**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourcesetfavouriteforfilterput) | **put** /rest/api/3/filter/{id}/favourite | Add filter as favorite
*FiltersApi* | [**comAtlassianJiraRestV2SearchFilterResourceUpdateFilterPut**](doc//FiltersApi.md#comatlassianjirarestv2searchfilterresourceupdatefilterput) | **put** /rest/api/3/filter/{id} | Update filter
*GroupAndUserPickerApi* | [**comAtlassianJiraRestV2IssueGroupAndUserPickerResourceFindUsersAndGroupsGet**](doc//GroupAndUserPickerApi.md#comatlassianjirarestv2issuegroupanduserpickerresourcefindusersandgroupsget) | **get** /rest/api/3/groupuserpicker | Find users and groups
*GroupsApi* | [**comAtlassianJiraRestV2IssueGroupPickerResourceFindGroupsGet**](doc//GroupsApi.md#comatlassianjirarestv2issuegrouppickerresourcefindgroupsget) | **get** /rest/api/3/groups/picker | Find groups
*GroupsApi* | [**comAtlassianJiraRestV2IssueGroupResourceAddUserToGroupPost**](doc//GroupsApi.md#comatlassianjirarestv2issuegroupresourceaddusertogrouppost) | **post** /rest/api/3/group/user | Add user to group
*GroupsApi* | [**comAtlassianJiraRestV2IssueGroupResourceCreateGroupPost**](doc//GroupsApi.md#comatlassianjirarestv2issuegroupresourcecreategrouppost) | **post** /rest/api/3/group | Create group
*GroupsApi* | [**comAtlassianJiraRestV2IssueGroupResourceGetGroupGet**](doc//GroupsApi.md#comatlassianjirarestv2issuegroupresourcegetgroupget) | **get** /rest/api/3/group | Get group
*GroupsApi* | [**comAtlassianJiraRestV2IssueGroupResourceGetUsersFromGroupGet**](doc//GroupsApi.md#comatlassianjirarestv2issuegroupresourcegetusersfromgroupget) | **get** /rest/api/3/group/member | Get users from group
*GroupsApi* | [**comAtlassianJiraRestV2IssueGroupResourceRemoveGroupDelete**](doc//GroupsApi.md#comatlassianjirarestv2issuegroupresourceremovegroupdelete) | **delete** /rest/api/3/group | Remove group
*GroupsApi* | [**comAtlassianJiraRestV2IssueGroupResourceRemoveUserFromGroupDelete**](doc//GroupsApi.md#comatlassianjirarestv2issuegroupresourceremoveuserfromgroupdelete) | **delete** /rest/api/3/group/user | Remove user from group
*IssueAttachmentsApi* | [**comAtlassianJiraRestV2IssueAttachmentAttachmentResourceExpandAttachmentForHumansGet**](doc//IssueAttachmentsApi.md#comatlassianjirarestv2issueattachmentattachmentresourceexpandattachmentforhumansget) | **get** /rest/api/3/attachment/{id}/expand/human | Get all metadata for an expanded attachment
*IssueAttachmentsApi* | [**comAtlassianJiraRestV2IssueAttachmentAttachmentResourceExpandAttachmentForMachinesGet**](doc//IssueAttachmentsApi.md#comatlassianjirarestv2issueattachmentattachmentresourceexpandattachmentformachinesget) | **get** /rest/api/3/attachment/{id}/expand/raw | Get contents metadata for an expanded attachment
*IssueAttachmentsApi* | [**comAtlassianJiraRestV2IssueAttachmentAttachmentResourceGetAttachmentGet**](doc//IssueAttachmentsApi.md#comatlassianjirarestv2issueattachmentattachmentresourcegetattachmentget) | **get** /rest/api/3/attachment/{id} | Get attachment metadata
*IssueAttachmentsApi* | [**comAtlassianJiraRestV2IssueAttachmentAttachmentResourceGetAttachmentMetaGet**](doc//IssueAttachmentsApi.md#comatlassianjirarestv2issueattachmentattachmentresourcegetattachmentmetaget) | **get** /rest/api/3/attachment/meta | Get Jira attachment settings
*IssueAttachmentsApi* | [**comAtlassianJiraRestV2IssueAttachmentAttachmentResourceRemoveAttachmentDelete**](doc//IssueAttachmentsApi.md#comatlassianjirarestv2issueattachmentattachmentresourceremoveattachmentdelete) | **delete** /rest/api/3/attachment/{id} | Delete attachment
*IssueAttachmentsApi* | [**comAtlassianJiraRestV2IssueIssueAttachmentsResourceAddAttachmentPost**](doc//IssueAttachmentsApi.md#comatlassianjirarestv2issueissueattachmentsresourceaddattachmentpost) | **post** /rest/api/3/issue/{issueIdOrKey}/attachments | Add attachment
*IssueCommentPropertiesApi* | [**comAtlassianJiraRestV2IssueCommentPropertyResourceDeleteCommentPropertyDelete**](doc//IssueCommentPropertiesApi.md#comatlassianjirarestv2issuecommentpropertyresourcedeletecommentpropertydelete) | **delete** /rest/api/3/comment/{commentId}/properties/{propertyKey} | Delete comment property
*IssueCommentPropertiesApi* | [**comAtlassianJiraRestV2IssueCommentPropertyResourceGetCommentPropertyGet**](doc//IssueCommentPropertiesApi.md#comatlassianjirarestv2issuecommentpropertyresourcegetcommentpropertyget) | **get** /rest/api/3/comment/{commentId}/properties/{propertyKey} | Get comment property
*IssueCommentPropertiesApi* | [**comAtlassianJiraRestV2IssueCommentPropertyResourceGetCommentPropertyKeysGet**](doc//IssueCommentPropertiesApi.md#comatlassianjirarestv2issuecommentpropertyresourcegetcommentpropertykeysget) | **get** /rest/api/3/comment/{commentId}/properties | Get comment property keys
*IssueCommentPropertiesApi* | [**comAtlassianJiraRestV2IssueCommentPropertyResourceSetCommentPropertyPut**](doc//IssueCommentPropertiesApi.md#comatlassianjirarestv2issuecommentpropertyresourcesetcommentpropertyput) | **put** /rest/api/3/comment/{commentId}/properties/{propertyKey} | Set comment property
*IssueCommentsApi* | [**comAtlassianJiraRestV2IssueIssueCommentListResourceGetCommentsByIdsPost**](doc//IssueCommentsApi.md#comatlassianjirarestv2issueissuecommentlistresourcegetcommentsbyidspost) | **post** /rest/api/3/comment/list | Get comments by IDs
*IssueCommentsApi* | [**comAtlassianJiraRestV2IssueIssueCommentResourceAddCommentPost**](doc//IssueCommentsApi.md#comatlassianjirarestv2issueissuecommentresourceaddcommentpost) | **post** /rest/api/3/issue/{issueIdOrKey}/comment | Add comment
*IssueCommentsApi* | [**comAtlassianJiraRestV2IssueIssueCommentResourceDeleteCommentDelete**](doc//IssueCommentsApi.md#comatlassianjirarestv2issueissuecommentresourcedeletecommentdelete) | **delete** /rest/api/3/issue/{issueIdOrKey}/comment/{id} | Delete comment
*IssueCommentsApi* | [**comAtlassianJiraRestV2IssueIssueCommentResourceGetCommentGet**](doc//IssueCommentsApi.md#comatlassianjirarestv2issueissuecommentresourcegetcommentget) | **get** /rest/api/3/issue/{issueIdOrKey}/comment/{id} | Get comment
*IssueCommentsApi* | [**comAtlassianJiraRestV2IssueIssueCommentResourceGetCommentsGet**](doc//IssueCommentsApi.md#comatlassianjirarestv2issueissuecommentresourcegetcommentsget) | **get** /rest/api/3/issue/{issueIdOrKey}/comment | Get comments
*IssueCommentsApi* | [**comAtlassianJiraRestV2IssueIssueCommentResourceUpdateCommentPut**](doc//IssueCommentsApi.md#comatlassianjirarestv2issueissuecommentresourceupdatecommentput) | **put** /rest/api/3/issue/{issueIdOrKey}/comment/{id} | Update comment
*IssueCustomFieldOptionsApi* | [**comAtlassianJiraRestV2IssueBulkCustomFieldOptionResourceCreateCustomFieldOptionsPost**](doc//IssueCustomFieldOptionsApi.md#comatlassianjirarestv2issuebulkcustomfieldoptionresourcecreatecustomfieldoptionspost) | **post** /rest/api/3/customField/{fieldId}/option | Create custom field options
*IssueCustomFieldOptionsApi* | [**comAtlassianJiraRestV2IssueBulkCustomFieldOptionResourceGetOptionsForFieldGet**](doc//IssueCustomFieldOptionsApi.md#comatlassianjirarestv2issuebulkcustomfieldoptionresourcegetoptionsforfieldget) | **get** /rest/api/3/customField/{fieldId}/option | Get options for field
*IssueCustomFieldOptionsApi* | [**comAtlassianJiraRestV2IssueBulkCustomFieldOptionResourceUpdateCustomFieldOptionsPut**](doc//IssueCustomFieldOptionsApi.md#comatlassianjirarestv2issuebulkcustomfieldoptionresourceupdatecustomfieldoptionsput) | **put** /rest/api/3/customField/{fieldId}/option | Update custom field options
*IssueCustomFieldOptionsApi* | [**comAtlassianJiraRestV2IssueCustomfieldCustomFieldOptionResourceGetCustomFieldOptionGet**](doc//IssueCustomFieldOptionsApi.md#comatlassianjirarestv2issuecustomfieldcustomfieldoptionresourcegetcustomfieldoptionget) | **get** /rest/api/3/customFieldOption/{id} | Get custom field option
*IssueCustomFieldOptionsAppsApi* | [**comAtlassianJiraRestV2IssueFieldIssueFieldOptionResourceCreateIssueFieldOptionPost**](doc//IssueCustomFieldOptionsAppsApi.md#comatlassianjirarestv2issuefieldissuefieldoptionresourcecreateissuefieldoptionpost) | **post** /rest/api/3/field/{fieldKey}/option | Create issue field option
*IssueCustomFieldOptionsAppsApi* | [**comAtlassianJiraRestV2IssueFieldIssueFieldOptionResourceDeleteIssueFieldOptionDelete**](doc//IssueCustomFieldOptionsAppsApi.md#comatlassianjirarestv2issuefieldissuefieldoptionresourcedeleteissuefieldoptiondelete) | **delete** /rest/api/3/field/{fieldKey}/option/{optionId} | Delete issue field option
*IssueCustomFieldOptionsAppsApi* | [**comAtlassianJiraRestV2IssueFieldIssueFieldOptionResourceGetAllIssueFieldOptionsGet**](doc//IssueCustomFieldOptionsAppsApi.md#comatlassianjirarestv2issuefieldissuefieldoptionresourcegetallissuefieldoptionsget) | **get** /rest/api/3/field/{fieldKey}/option | Get all issue field options
*IssueCustomFieldOptionsAppsApi* | [**comAtlassianJiraRestV2IssueFieldIssueFieldOptionResourceGetIssueFieldOptionGet**](doc//IssueCustomFieldOptionsAppsApi.md#comatlassianjirarestv2issuefieldissuefieldoptionresourcegetissuefieldoptionget) | **get** /rest/api/3/field/{fieldKey}/option/{optionId} | Get issue field option
*IssueCustomFieldOptionsAppsApi* | [**comAtlassianJiraRestV2IssueFieldIssueFieldOptionResourceGetSelectableIssueFieldOptionsGet**](doc//IssueCustomFieldOptionsAppsApi.md#comatlassianjirarestv2issuefieldissuefieldoptionresourcegetselectableissuefieldoptionsget) | **get** /rest/api/3/field/{fieldKey}/option/suggestions/edit | Get selectable issue field options
*IssueCustomFieldOptionsAppsApi* | [**comAtlassianJiraRestV2IssueFieldIssueFieldOptionResourceGetVisibleIssueFieldOptionsGet**](doc//IssueCustomFieldOptionsAppsApi.md#comatlassianjirarestv2issuefieldissuefieldoptionresourcegetvisibleissuefieldoptionsget) | **get** /rest/api/3/field/{fieldKey}/option/suggestions/search | Get visible issue field options
*IssueCustomFieldOptionsAppsApi* | [**comAtlassianJiraRestV2IssueFieldIssueFieldOptionResourceReplaceIssueFieldOptionDelete**](doc//IssueCustomFieldOptionsAppsApi.md#comatlassianjirarestv2issuefieldissuefieldoptionresourcereplaceissuefieldoptiondelete) | **delete** /rest/api/3/field/{fieldKey}/option/{optionId}/issue | Replace issue field option
*IssueCustomFieldOptionsAppsApi* | [**comAtlassianJiraRestV2IssueFieldIssueFieldOptionResourceUpdateIssueFieldOptionPut**](doc//IssueCustomFieldOptionsAppsApi.md#comatlassianjirarestv2issuefieldissuefieldoptionresourceupdateissuefieldoptionput) | **put** /rest/api/3/field/{fieldKey}/option/{optionId} | Update issue field option
*IssueFieldConfigurationsApi* | [**comAtlassianJiraRestV2IssueFieldFieldConfigurationResourceGetAllFieldConfigurationsGet**](doc//IssueFieldConfigurationsApi.md#comatlassianjirarestv2issuefieldfieldconfigurationresourcegetallfieldconfigurationsget) | **get** /rest/api/3/fieldconfiguration | Get all field configurations
*IssueFieldConfigurationsApi* | [**comAtlassianJiraRestV2IssueFieldFieldConfigurationResourceGetFieldConfigurationItemsGet**](doc//IssueFieldConfigurationsApi.md#comatlassianjirarestv2issuefieldfieldconfigurationresourcegetfieldconfigurationitemsget) | **get** /rest/api/3/fieldconfiguration/{id}/fields | Get field configuration items
*IssueFieldConfigurationsApi* | [**comAtlassianJiraRestV2IssueFieldFieldConfigurationSchemeResourceGetFieldConfigurationSchemeMappingsGet**](doc//IssueFieldConfigurationsApi.md#comatlassianjirarestv2issuefieldfieldconfigurationschemeresourcegetfieldconfigurationschememappingsget) | **get** /rest/api/3/fieldconfigurationscheme/mapping | Get field configuration issue type items
*IssueFieldsApi* | [**comAtlassianJiraRestV2IssueFieldFieldSearchResourceGetFieldsPaginatedGet**](doc//IssueFieldsApi.md#comatlassianjirarestv2issuefieldfieldsearchresourcegetfieldspaginatedget) | **get** /rest/api/3/field/search | Get fields paginated
*IssueFieldsApi* | [**comAtlassianJiraRestV2IssueFieldResourceCreateCustomFieldPost**](doc//IssueFieldsApi.md#comatlassianjirarestv2issuefieldresourcecreatecustomfieldpost) | **post** /rest/api/3/field | Create custom field
*IssueFieldsApi* | [**comAtlassianJiraRestV2IssueFieldResourceGetContextsForFieldGet**](doc//IssueFieldsApi.md#comatlassianjirarestv2issuefieldresourcegetcontextsforfieldget) | **get** /rest/api/3/field/{fieldId}/contexts | Get contexts for a field
*IssueFieldsApi* | [**comAtlassianJiraRestV2IssueFieldResourceGetFieldsGet**](doc//IssueFieldsApi.md#comatlassianjirarestv2issuefieldresourcegetfieldsget) | **get** /rest/api/3/field | Get fields
*IssueLinkTypesApi* | [**comAtlassianJiraRestV2IssueIssueLinkTypeResourceCreateIssueLinkTypePost**](doc//IssueLinkTypesApi.md#comatlassianjirarestv2issueissuelinktyperesourcecreateissuelinktypepost) | **post** /rest/api/3/issueLinkType | Create issue link type
*IssueLinkTypesApi* | [**comAtlassianJiraRestV2IssueIssueLinkTypeResourceDeleteIssueLinkTypeDelete**](doc//IssueLinkTypesApi.md#comatlassianjirarestv2issueissuelinktyperesourcedeleteissuelinktypedelete) | **delete** /rest/api/3/issueLinkType/{issueLinkTypeId} | Delete issue link type
*IssueLinkTypesApi* | [**comAtlassianJiraRestV2IssueIssueLinkTypeResourceGetIssueLinkTypeGet**](doc//IssueLinkTypesApi.md#comatlassianjirarestv2issueissuelinktyperesourcegetissuelinktypeget) | **get** /rest/api/3/issueLinkType/{issueLinkTypeId} | Get issue link type
*IssueLinkTypesApi* | [**comAtlassianJiraRestV2IssueIssueLinkTypeResourceGetIssueLinkTypesGet**](doc//IssueLinkTypesApi.md#comatlassianjirarestv2issueissuelinktyperesourcegetissuelinktypesget) | **get** /rest/api/3/issueLinkType | Get issue link types
*IssueLinkTypesApi* | [**comAtlassianJiraRestV2IssueIssueLinkTypeResourceUpdateIssueLinkTypePut**](doc//IssueLinkTypesApi.md#comatlassianjirarestv2issueissuelinktyperesourceupdateissuelinktypeput) | **put** /rest/api/3/issueLinkType/{issueLinkTypeId} | Update issue link type
*IssueLinksApi* | [**comAtlassianJiraRestV2IssueLinkIssueResourceDeleteIssueLinkDelete**](doc//IssueLinksApi.md#comatlassianjirarestv2issuelinkissueresourcedeleteissuelinkdelete) | **delete** /rest/api/3/issueLink/{linkId} | Delete issue link
*IssueLinksApi* | [**comAtlassianJiraRestV2IssueLinkIssueResourceGetIssueLinkGet**](doc//IssueLinksApi.md#comatlassianjirarestv2issuelinkissueresourcegetissuelinkget) | **get** /rest/api/3/issueLink/{linkId} | Get issue link
*IssueLinksApi* | [**comAtlassianJiraRestV2IssueLinkIssueResourceLinkIssuesPost**](doc//IssueLinksApi.md#comatlassianjirarestv2issuelinkissueresourcelinkissuespost) | **post** /rest/api/3/issueLink | Create issue link
*IssueNavigatorSettingsApi* | [**comAtlassianJiraRestV2AdminSettingsResourceGetIssueNavigatorDefaultColumnsGet**](doc//IssueNavigatorSettingsApi.md#comatlassianjirarestv2adminsettingsresourcegetissuenavigatordefaultcolumnsget) | **get** /rest/api/3/settings/columns | Get issue navigator default columns
*IssueNavigatorSettingsApi* | [**comAtlassianJiraRestV2AdminSettingsResourceSetIssueNavigatorDefaultColumnsPut**](doc//IssueNavigatorSettingsApi.md#comatlassianjirarestv2adminsettingsresourcesetissuenavigatordefaultcolumnsput) | **put** /rest/api/3/settings/columns | Set issue navigator default columns
*IssueNotificationSchemesApi* | [**comAtlassianJiraRestV2NotificationNotificationSchemeResourceGetNotificationSchemeGet**](doc//IssueNotificationSchemesApi.md#comatlassianjirarestv2notificationnotificationschemeresourcegetnotificationschemeget) | **get** /rest/api/3/notificationscheme/{id} | Get notification scheme
*IssueNotificationSchemesApi* | [**comAtlassianJiraRestV2NotificationNotificationSchemeResourceGetNotificationSchemesGet**](doc//IssueNotificationSchemesApi.md#comatlassianjirarestv2notificationnotificationschemeresourcegetnotificationschemesget) | **get** /rest/api/3/notificationscheme | Get notification schemes paginated
*IssuePrioritiesApi* | [**comAtlassianJiraRestV2IssuePriorityResourceGetPrioritiesGet**](doc//IssuePrioritiesApi.md#comatlassianjirarestv2issuepriorityresourcegetprioritiesget) | **get** /rest/api/3/priority | Get priorities
*IssuePrioritiesApi* | [**comAtlassianJiraRestV2IssuePriorityResourceGetPriorityGet**](doc//IssuePrioritiesApi.md#comatlassianjirarestv2issuepriorityresourcegetpriorityget) | **get** /rest/api/3/priority/{id} | Get priority
*IssuePropertiesApi* | [**comAtlassianJiraRestV2IssueIssuePropertyResourceDeleteIssuePropertyDelete**](doc//IssuePropertiesApi.md#comatlassianjirarestv2issueissuepropertyresourcedeleteissuepropertydelete) | **delete** /rest/api/3/issue/{issueIdOrKey}/properties/{propertyKey} | Delete issue property
*IssuePropertiesApi* | [**comAtlassianJiraRestV2IssueIssuePropertyResourceGetIssuePropertyGet**](doc//IssuePropertiesApi.md#comatlassianjirarestv2issueissuepropertyresourcegetissuepropertyget) | **get** /rest/api/3/issue/{issueIdOrKey}/properties/{propertyKey} | Get issue property
*IssuePropertiesApi* | [**comAtlassianJiraRestV2IssueIssuePropertyResourceGetIssuePropertyKeysGet**](doc//IssuePropertiesApi.md#comatlassianjirarestv2issueissuepropertyresourcegetissuepropertykeysget) | **get** /rest/api/3/issue/{issueIdOrKey}/properties | Get issue property keys
*IssuePropertiesApi* | [**comAtlassianJiraRestV2IssueIssuePropertyResourceSetIssuePropertyPut**](doc//IssuePropertiesApi.md#comatlassianjirarestv2issueissuepropertyresourcesetissuepropertyput) | **put** /rest/api/3/issue/{issueIdOrKey}/properties/{propertyKey} | Set issue property
*IssuePropertiesApi* | [**comAtlassianJiraRestV2PropertyIssuePropertyBulkUpdateResourceBulkDeleteIssuePropertyDelete**](doc//IssuePropertiesApi.md#comatlassianjirarestv2propertyissuepropertybulkupdateresourcebulkdeleteissuepropertydelete) | **delete** /rest/api/3/issue/properties/{propertyKey} | Bulk delete issue property
*IssuePropertiesApi* | [**comAtlassianJiraRestV2PropertyIssuePropertyBulkUpdateResourceBulkSetIssuePropertyPut**](doc//IssuePropertiesApi.md#comatlassianjirarestv2propertyissuepropertybulkupdateresourcebulksetissuepropertyput) | **put** /rest/api/3/issue/properties/{propertyKey} | Bulk set issue property
*IssuePropertiesApi* | [**comAtlassianJiraRestV2PropertyIssuePropertyBulkUpdateResourceBulkSetIssuesPropertiesPost**](doc//IssuePropertiesApi.md#comatlassianjirarestv2propertyissuepropertybulkupdateresourcebulksetissuespropertiespost) | **post** /rest/api/3/issue/properties | Bulk set issues properties
*IssueRemoteLinksApi* | [**comAtlassianJiraRestV2IssueIssueResourceCreateOrUpdateRemoteIssueLinkPost**](doc//IssueRemoteLinksApi.md#comatlassianjirarestv2issueissueresourcecreateorupdateremoteissuelinkpost) | **post** /rest/api/3/issue/{issueIdOrKey}/remotelink | Create or update remote issue link
*IssueRemoteLinksApi* | [**comAtlassianJiraRestV2IssueIssueResourceDeleteRemoteIssueLinkByGlobalIdDelete**](doc//IssueRemoteLinksApi.md#comatlassianjirarestv2issueissueresourcedeleteremoteissuelinkbyglobaliddelete) | **delete** /rest/api/3/issue/{issueIdOrKey}/remotelink | Delete remote issue link by global ID
*IssueRemoteLinksApi* | [**comAtlassianJiraRestV2IssueIssueResourceDeleteRemoteIssueLinkByIdDelete**](doc//IssueRemoteLinksApi.md#comatlassianjirarestv2issueissueresourcedeleteremoteissuelinkbyiddelete) | **delete** /rest/api/3/issue/{issueIdOrKey}/remotelink/{linkId} | Delete remote issue link by ID
*IssueRemoteLinksApi* | [**comAtlassianJiraRestV2IssueIssueResourceGetRemoteIssueLinkByIdGet**](doc//IssueRemoteLinksApi.md#comatlassianjirarestv2issueissueresourcegetremoteissuelinkbyidget) | **get** /rest/api/3/issue/{issueIdOrKey}/remotelink/{linkId} | Get remote issue link by ID
*IssueRemoteLinksApi* | [**comAtlassianJiraRestV2IssueIssueResourceGetRemoteIssueLinksGet**](doc//IssueRemoteLinksApi.md#comatlassianjirarestv2issueissueresourcegetremoteissuelinksget) | **get** /rest/api/3/issue/{issueIdOrKey}/remotelink | Get remote issue links
*IssueRemoteLinksApi* | [**comAtlassianJiraRestV2IssueIssueResourceUpdateRemoteIssueLinkPut**](doc//IssueRemoteLinksApi.md#comatlassianjirarestv2issueissueresourceupdateremoteissuelinkput) | **put** /rest/api/3/issue/{issueIdOrKey}/remotelink/{linkId} | Update remote issue link by ID
*IssueResolutionsApi* | [**comAtlassianJiraRestV2IssueResolutionResourceGetResolutionGet**](doc//IssueResolutionsApi.md#comatlassianjirarestv2issueresolutionresourcegetresolutionget) | **get** /rest/api/3/resolution/{id} | Get resolution
*IssueResolutionsApi* | [**comAtlassianJiraRestV2IssueResolutionResourceGetResolutionsGet**](doc//IssueResolutionsApi.md#comatlassianjirarestv2issueresolutionresourcegetresolutionsget) | **get** /rest/api/3/resolution | Get resolutions
*IssueSearchApi* | [**comAtlassianJiraRestV2IssueIssueResourceGetIssuePickerResourceGet**](doc//IssueSearchApi.md#comatlassianjirarestv2issueissueresourcegetissuepickerresourceget) | **get** /rest/api/3/issue/picker | Get issue picker suggestions
*IssueSearchApi* | [**comAtlassianJiraRestV2MatchIssueMatchResourceMatchIssuesPost**](doc//IssueSearchApi.md#comatlassianjirarestv2matchissuematchresourcematchissuespost) | **post** /rest/api/3/jql/match | Check issues against JQL
*IssueSearchApi* | [**comAtlassianJiraRestV2SearchSearchResourceSearchForIssuesUsingJqlGet**](doc//IssueSearchApi.md#comatlassianjirarestv2searchsearchresourcesearchforissuesusingjqlget) | **get** /rest/api/3/search | Search for issues using JQL (GET)
*IssueSearchApi* | [**comAtlassianJiraRestV2SearchSearchResourceSearchForIssuesUsingJqlPost**](doc//IssueSearchApi.md#comatlassianjirarestv2searchsearchresourcesearchforissuesusingjqlpost) | **post** /rest/api/3/search | Search for issues using JQL (POST)
*IssueSecurityLevelApi* | [**comAtlassianJiraRestV2IssueIssueSecurityLevelResourceGetIssueSecurityLevelGet**](doc//IssueSecurityLevelApi.md#comatlassianjirarestv2issueissuesecuritylevelresourcegetissuesecuritylevelget) | **get** /rest/api/3/securitylevel/{id} | Get issue security level
*IssueSecuritySchemesApi* | [**comAtlassianJiraRestV2IssueIssueSecuritySchemeResourceGetIssueSecuritySchemeGet**](doc//IssueSecuritySchemesApi.md#comatlassianjirarestv2issueissuesecurityschemeresourcegetissuesecurityschemeget) | **get** /rest/api/3/issuesecurityschemes/{id} | Get issue security scheme
*IssueSecuritySchemesApi* | [**comAtlassianJiraRestV2IssueIssueSecuritySchemeResourceGetIssueSecuritySchemesGet**](doc//IssueSecuritySchemesApi.md#comatlassianjirarestv2issueissuesecurityschemeresourcegetissuesecurityschemesget) | **get** /rest/api/3/issuesecurityschemes | Get issue security schemes
*IssueTypePropertiesApi* | [**comAtlassianJiraRestV2IssueIssueTypePropertyResourceDeleteIssueTypePropertyDelete**](doc//IssueTypePropertiesApi.md#comatlassianjirarestv2issueissuetypepropertyresourcedeleteissuetypepropertydelete) | **delete** /rest/api/3/issuetype/{issueTypeId}/properties/{propertyKey} | Delete issue type property
*IssueTypePropertiesApi* | [**comAtlassianJiraRestV2IssueIssueTypePropertyResourceGetIssueTypePropertyGet**](doc//IssueTypePropertiesApi.md#comatlassianjirarestv2issueissuetypepropertyresourcegetissuetypepropertyget) | **get** /rest/api/3/issuetype/{issueTypeId}/properties/{propertyKey} | Get issue type property
*IssueTypePropertiesApi* | [**comAtlassianJiraRestV2IssueIssueTypePropertyResourceGetIssueTypePropertyKeysGet**](doc//IssueTypePropertiesApi.md#comatlassianjirarestv2issueissuetypepropertyresourcegetissuetypepropertykeysget) | **get** /rest/api/3/issuetype/{issueTypeId}/properties | Get issue type property keys
*IssueTypePropertiesApi* | [**comAtlassianJiraRestV2IssueIssueTypePropertyResourceSetIssueTypePropertyPut**](doc//IssueTypePropertiesApi.md#comatlassianjirarestv2issueissuetypepropertyresourcesetissuetypepropertyput) | **put** /rest/api/3/issuetype/{issueTypeId}/properties/{propertyKey} | Set issue type property
*IssueTypesApi* | [**comAtlassianJiraRestV2IssueIssueTypeResourceCreateIssueTypeAvatarPost**](doc//IssueTypesApi.md#comatlassianjirarestv2issueissuetyperesourcecreateissuetypeavatarpost) | **post** /rest/api/3/issuetype/{id}/avatar2 | Load issue type avatar
*IssueTypesApi* | [**comAtlassianJiraRestV2IssueIssueTypeResourceCreateIssueTypePost**](doc//IssueTypesApi.md#comatlassianjirarestv2issueissuetyperesourcecreateissuetypepost) | **post** /rest/api/3/issuetype | Create issue type
*IssueTypesApi* | [**comAtlassianJiraRestV2IssueIssueTypeResourceDeleteIssueTypeDelete**](doc//IssueTypesApi.md#comatlassianjirarestv2issueissuetyperesourcedeleteissuetypedelete) | **delete** /rest/api/3/issuetype/{id} | Delete issue type
*IssueTypesApi* | [**comAtlassianJiraRestV2IssueIssueTypeResourceGetAlternativeIssueTypesGet**](doc//IssueTypesApi.md#comatlassianjirarestv2issueissuetyperesourcegetalternativeissuetypesget) | **get** /rest/api/3/issuetype/{id}/alternatives | Get alternative issue types
*IssueTypesApi* | [**comAtlassianJiraRestV2IssueIssueTypeResourceGetIssueAllTypesGet**](doc//IssueTypesApi.md#comatlassianjirarestv2issueissuetyperesourcegetissuealltypesget) | **get** /rest/api/3/issuetype | Get all issue types for user
*IssueTypesApi* | [**comAtlassianJiraRestV2IssueIssueTypeResourceGetIssueTypeGet**](doc//IssueTypesApi.md#comatlassianjirarestv2issueissuetyperesourcegetissuetypeget) | **get** /rest/api/3/issuetype/{id} | Get issue type
*IssueTypesApi* | [**comAtlassianJiraRestV2IssueIssueTypeResourceUpdateIssueTypePut**](doc//IssueTypesApi.md#comatlassianjirarestv2issueissuetyperesourceupdateissuetypeput) | **put** /rest/api/3/issuetype/{id} | Update issue type
*IssueVotesApi* | [**comAtlassianJiraRestV2IssueIssueResourceAddVotePost**](doc//IssueVotesApi.md#comatlassianjirarestv2issueissueresourceaddvotepost) | **post** /rest/api/3/issue/{issueIdOrKey}/votes | Add vote
*IssueVotesApi* | [**comAtlassianJiraRestV2IssueIssueResourceGetVotesGet**](doc//IssueVotesApi.md#comatlassianjirarestv2issueissueresourcegetvotesget) | **get** /rest/api/3/issue/{issueIdOrKey}/votes | Get votes
*IssueVotesApi* | [**comAtlassianJiraRestV2IssueIssueResourceRemoveVoteDelete**](doc//IssueVotesApi.md#comatlassianjirarestv2issueissueresourceremovevotedelete) | **delete** /rest/api/3/issue/{issueIdOrKey}/votes | Delete vote
*IssueWatchersApi* | [**comAtlassianJiraRestV2IssueIssueResourceAddWatcherPost**](doc//IssueWatchersApi.md#comatlassianjirarestv2issueissueresourceaddwatcherpost) | **post** /rest/api/3/issue/{issueIdOrKey}/watchers | Add watcher
*IssueWatchersApi* | [**comAtlassianJiraRestV2IssueIssueResourceGetIssueWatchersGet**](doc//IssueWatchersApi.md#comatlassianjirarestv2issueissueresourcegetissuewatchersget) | **get** /rest/api/3/issue/{issueIdOrKey}/watchers | Get issue watchers
*IssueWatchersApi* | [**comAtlassianJiraRestV2IssueIssueResourceRemoveWatcherDelete**](doc//IssueWatchersApi.md#comatlassianjirarestv2issueissueresourceremovewatcherdelete) | **delete** /rest/api/3/issue/{issueIdOrKey}/watchers | Delete watcher
*IssueWorklogPropertiesApi* | [**comAtlassianJiraRestV2IssueWorklogPropertyResourceDeleteWorklogPropertyDelete**](doc//IssueWorklogPropertiesApi.md#comatlassianjirarestv2issueworklogpropertyresourcedeleteworklogpropertydelete) | **delete** /rest/api/3/issue/{issueIdOrKey}/worklog/{worklogId}/properties/{propertyKey} | Delete worklog property
*IssueWorklogPropertiesApi* | [**comAtlassianJiraRestV2IssueWorklogPropertyResourceGetWorklogPropertyGet**](doc//IssueWorklogPropertiesApi.md#comatlassianjirarestv2issueworklogpropertyresourcegetworklogpropertyget) | **get** /rest/api/3/issue/{issueIdOrKey}/worklog/{worklogId}/properties/{propertyKey} | Get worklog property
*IssueWorklogPropertiesApi* | [**comAtlassianJiraRestV2IssueWorklogPropertyResourceGetWorklogPropertyKeysGet**](doc//IssueWorklogPropertiesApi.md#comatlassianjirarestv2issueworklogpropertyresourcegetworklogpropertykeysget) | **get** /rest/api/3/issue/{issueIdOrKey}/worklog/{worklogId}/properties | Get worklog property keys
*IssueWorklogPropertiesApi* | [**comAtlassianJiraRestV2IssueWorklogPropertyResourceSetWorklogPropertyPut**](doc//IssueWorklogPropertiesApi.md#comatlassianjirarestv2issueworklogpropertyresourcesetworklogpropertyput) | **put** /rest/api/3/issue/{issueIdOrKey}/worklog/{worklogId}/properties/{propertyKey} | Set worklog property
*IssueWorklogsApi* | [**comAtlassianJiraRestV2IssueIssueWorklogsResourceAddWorklogPost**](doc//IssueWorklogsApi.md#comatlassianjirarestv2issueissueworklogsresourceaddworklogpost) | **post** /rest/api/3/issue/{issueIdOrKey}/worklog | Add worklog
*IssueWorklogsApi* | [**comAtlassianJiraRestV2IssueIssueWorklogsResourceDeleteWorklogDelete**](doc//IssueWorklogsApi.md#comatlassianjirarestv2issueissueworklogsresourcedeleteworklogdelete) | **delete** /rest/api/3/issue/{issueIdOrKey}/worklog/{id} | Delete worklog
*IssueWorklogsApi* | [**comAtlassianJiraRestV2IssueIssueWorklogsResourceGetIssueWorklogGet**](doc//IssueWorklogsApi.md#comatlassianjirarestv2issueissueworklogsresourcegetissueworklogget) | **get** /rest/api/3/issue/{issueIdOrKey}/worklog | Get issue worklogs
*IssueWorklogsApi* | [**comAtlassianJiraRestV2IssueIssueWorklogsResourceGetWorklogGet**](doc//IssueWorklogsApi.md#comatlassianjirarestv2issueissueworklogsresourcegetworklogget) | **get** /rest/api/3/issue/{issueIdOrKey}/worklog/{id} | Get worklog
*IssueWorklogsApi* | [**comAtlassianJiraRestV2IssueIssueWorklogsResourceUpdateWorklogPut**](doc//IssueWorklogsApi.md#comatlassianjirarestv2issueissueworklogsresourceupdateworklogput) | **put** /rest/api/3/issue/{issueIdOrKey}/worklog/{id} | Update worklog
*IssueWorklogsApi* | [**comAtlassianJiraRestV2IssueWorklogWorklogResourceGetIdsOfWorklogsDeletedSinceGet**](doc//IssueWorklogsApi.md#comatlassianjirarestv2issueworklogworklogresourcegetidsofworklogsdeletedsinceget) | **get** /rest/api/3/worklog/deleted | Get IDs of deleted worklogs
*IssueWorklogsApi* | [**comAtlassianJiraRestV2IssueWorklogWorklogResourceGetIdsOfWorklogsModifiedSinceGet**](doc//IssueWorklogsApi.md#comatlassianjirarestv2issueworklogworklogresourcegetidsofworklogsmodifiedsinceget) | **get** /rest/api/3/worklog/updated | Get IDs of updated worklogs
*IssueWorklogsApi* | [**comAtlassianJiraRestV2IssueWorklogWorklogResourceGetWorklogsForIdsPost**](doc//IssueWorklogsApi.md#comatlassianjirarestv2issueworklogworklogresourcegetworklogsforidspost) | **post** /rest/api/3/worklog/list | Get worklogs
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueChangelogResourceGetChangeLogsGet**](doc//IssuesApi.md#comatlassianjirarestv2issueissuechangelogresourcegetchangelogsget) | **get** /rest/api/3/issue/{issueIdOrKey}/changelog | Get change logs
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceAssignIssuePut**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourceassignissueput) | **put** /rest/api/3/issue/{issueIdOrKey}/assignee | Assign issue
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceCreateIssuePost**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourcecreateissuepost) | **post** /rest/api/3/issue | Create issue
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceCreateIssuesPost**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourcecreateissuespost) | **post** /rest/api/3/issue/bulk | Bulk create issue
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceDeleteIssueDelete**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourcedeleteissuedelete) | **delete** /rest/api/3/issue/{issueIdOrKey} | Delete issue
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceDoTransitionPost**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourcedotransitionpost) | **post** /rest/api/3/issue/{issueIdOrKey}/transitions | Transition issue
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceEditIssuePut**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourceeditissueput) | **put** /rest/api/3/issue/{issueIdOrKey} | Edit issue
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceGetCreateIssueMetaGet**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourcegetcreateissuemetaget) | **get** /rest/api/3/issue/createmeta | Get create issue metadata
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceGetEditIssueMetaGet**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourcegeteditissuemetaget) | **get** /rest/api/3/issue/{issueIdOrKey}/editmeta | Get edit issue metadata
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceGetIssueGet**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourcegetissueget) | **get** /rest/api/3/issue/{issueIdOrKey} | Get issue
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceGetTransitionsGet**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourcegettransitionsget) | **get** /rest/api/3/issue/{issueIdOrKey}/transitions | Get transitions
*IssuesApi* | [**comAtlassianJiraRestV2IssueIssueResourceNotifyPost**](doc//IssuesApi.md#comatlassianjirarestv2issueissueresourcenotifypost) | **post** /rest/api/3/issue/{issueIdOrKey}/notify | Send notification for issue
*JQLApi* | [**comAtlassianJiraRestV2JqlJqlParserResourceParseJqlQueriesPost**](doc//JQLApi.md#comatlassianjirarestv2jqljqlparserresourceparsejqlqueriespost) | **post** /rest/api/3/jql/parse | Parse JQL query
*JQLApi* | [**comAtlassianJiraRestV2SearchJQLPersonalDataMigrationResourceMigrateQueriesPost**](doc//JQLApi.md#comatlassianjirarestv2searchjqlpersonaldatamigrationresourcemigratequeriespost) | **post** /rest/api/3/jql/pdcleaner | Convert user identifiers to account IDs in JQL queries
*JQLApi* | [**comAtlassianJiraRestV2SearchSearchAutoCompleteResourceGetAutoCompleteGet**](doc//JQLApi.md#comatlassianjirarestv2searchsearchautocompleteresourcegetautocompleteget) | **get** /rest/api/3/jql/autocompletedata | Get field reference data
*JQLApi* | [**comAtlassianJiraRestV2SearchSearchAutoCompleteResourceGetFieldAutoCompleteForQueryStringGet**](doc//JQLApi.md#comatlassianjirarestv2searchsearchautocompleteresourcegetfieldautocompleteforquerystringget) | **get** /rest/api/3/jql/autocompletedata/suggestions | Get field auto complete suggestions
*JiraExpressionsApi* | [**comAtlassianJiraRestV2ExpressionJiraExpressionsResourceAnalyseExpressionPost**](doc//JiraExpressionsApi.md#comatlassianjirarestv2expressionjiraexpressionsresourceanalyseexpressionpost) | **post** /rest/api/3/expression/analyse | Analyse Jira expression
*JiraExpressionsApi* | [**comAtlassianJiraRestV2ExpressionJiraExpressionsResourceEvaluateJiraExpressionPost**](doc//JiraExpressionsApi.md#comatlassianjirarestv2expressionjiraexpressionsresourceevaluatejiraexpressionpost) | **post** /rest/api/3/expression/eval | Evaluate Jira expression
*JiraSettingsApi* | [**comAtlassianJiraRestV2AdminApplicationPropertiesResourceGetAdvancedSettingsGet**](doc//JiraSettingsApi.md#comatlassianjirarestv2adminapplicationpropertiesresourcegetadvancedsettingsget) | **get** /rest/api/3/application-properties/advanced-settings | Get advanced settings
*JiraSettingsApi* | [**comAtlassianJiraRestV2AdminApplicationPropertiesResourceGetApplicationPropertyGet**](doc//JiraSettingsApi.md#comatlassianjirarestv2adminapplicationpropertiesresourcegetapplicationpropertyget) | **get** /rest/api/3/application-properties | Get application property
*JiraSettingsApi* | [**comAtlassianJiraRestV2AdminApplicationPropertiesResourceSetApplicationPropertyPut**](doc//JiraSettingsApi.md#comatlassianjirarestv2adminapplicationpropertiesresourcesetapplicationpropertyput) | **put** /rest/api/3/application-properties/{id} | Set application property
*JiraSettingsApi* | [**comAtlassianJiraRestV2AdminConfigurationResourceGetConfigurationGet**](doc//JiraSettingsApi.md#comatlassianjirarestv2adminconfigurationresourcegetconfigurationget) | **get** /rest/api/3/configuration | Get global settings
*LabelsApi* | [**comAtlassianJiraRestV2LabelLabelResourceGetAllLabelsGet**](doc//LabelsApi.md#comatlassianjirarestv2labellabelresourcegetalllabelsget) | **get** /rest/api/3/label | Get all labels
*MyselfApi* | [**comAtlassianJiraRestV2IssueCurrentUserResourceGetCurrentUserGet**](doc//MyselfApi.md#comatlassianjirarestv2issuecurrentuserresourcegetcurrentuserget) | **get** /rest/api/3/myself | Get current user
*MyselfApi* | [**comAtlassianJiraRestV2PreferenceCurrentUserPreferencesResourceDeleteLocaleDelete**](doc//MyselfApi.md#comatlassianjirarestv2preferencecurrentuserpreferencesresourcedeletelocaledelete) | **delete** /rest/api/3/mypreferences/locale | Delete locale
*MyselfApi* | [**comAtlassianJiraRestV2PreferenceCurrentUserPreferencesResourceGetLocaleGet**](doc//MyselfApi.md#comatlassianjirarestv2preferencecurrentuserpreferencesresourcegetlocaleget) | **get** /rest/api/3/mypreferences/locale | Get locale
*MyselfApi* | [**comAtlassianJiraRestV2PreferenceCurrentUserPreferencesResourceGetPreferenceGet**](doc//MyselfApi.md#comatlassianjirarestv2preferencecurrentuserpreferencesresourcegetpreferenceget) | **get** /rest/api/3/mypreferences | Get preference
*MyselfApi* | [**comAtlassianJiraRestV2PreferenceCurrentUserPreferencesResourceRemovePreferenceDelete**](doc//MyselfApi.md#comatlassianjirarestv2preferencecurrentuserpreferencesresourceremovepreferencedelete) | **delete** /rest/api/3/mypreferences | Delete preference
*MyselfApi* | [**comAtlassianJiraRestV2PreferenceCurrentUserPreferencesResourceSetLocalePut**](doc//MyselfApi.md#comatlassianjirarestv2preferencecurrentuserpreferencesresourcesetlocaleput) | **put** /rest/api/3/mypreferences/locale | Set locale
*MyselfApi* | [**comAtlassianJiraRestV2PreferenceCurrentUserPreferencesResourceSetPreferencePut**](doc//MyselfApi.md#comatlassianjirarestv2preferencecurrentuserpreferencesresourcesetpreferenceput) | **put** /rest/api/3/mypreferences | Set preference
*PermissionSchemesApi* | [**comAtlassianJiraRestV2AdminPermissionschemePermissionSchemeResourceCreatePermissionGrantPost**](doc//PermissionSchemesApi.md#comatlassianjirarestv2adminpermissionschemepermissionschemeresourcecreatepermissiongrantpost) | **post** /rest/api/3/permissionscheme/{schemeId}/permission | Create permission grant
*PermissionSchemesApi* | [**comAtlassianJiraRestV2AdminPermissionschemePermissionSchemeResourceCreatePermissionSchemePost**](doc//PermissionSchemesApi.md#comatlassianjirarestv2adminpermissionschemepermissionschemeresourcecreatepermissionschemepost) | **post** /rest/api/3/permissionscheme | Create permission scheme
*PermissionSchemesApi* | [**comAtlassianJiraRestV2AdminPermissionschemePermissionSchemeResourceDeletePermissionSchemeDelete**](doc//PermissionSchemesApi.md#comatlassianjirarestv2adminpermissionschemepermissionschemeresourcedeletepermissionschemedelete) | **delete** /rest/api/3/permissionscheme/{schemeId} | Delete permission scheme
*PermissionSchemesApi* | [**comAtlassianJiraRestV2AdminPermissionschemePermissionSchemeResourceDeletePermissionSchemeEntityDelete**](doc//PermissionSchemesApi.md#comatlassianjirarestv2adminpermissionschemepermissionschemeresourcedeletepermissionschemeentitydelete) | **delete** /rest/api/3/permissionscheme/{schemeId}/permission/{permissionId} | Delete permission scheme grant
*PermissionSchemesApi* | [**comAtlassianJiraRestV2AdminPermissionschemePermissionSchemeResourceGetAllPermissionSchemesGet**](doc//PermissionSchemesApi.md#comatlassianjirarestv2adminpermissionschemepermissionschemeresourcegetallpermissionschemesget) | **get** /rest/api/3/permissionscheme | Get all permission schemes
*PermissionSchemesApi* | [**comAtlassianJiraRestV2AdminPermissionschemePermissionSchemeResourceGetPermissionSchemeGet**](doc//PermissionSchemesApi.md#comatlassianjirarestv2adminpermissionschemepermissionschemeresourcegetpermissionschemeget) | **get** /rest/api/3/permissionscheme/{schemeId} | Get permission scheme
*PermissionSchemesApi* | [**comAtlassianJiraRestV2AdminPermissionschemePermissionSchemeResourceGetPermissionSchemeGrantGet**](doc//PermissionSchemesApi.md#comatlassianjirarestv2adminpermissionschemepermissionschemeresourcegetpermissionschemegrantget) | **get** /rest/api/3/permissionscheme/{schemeId}/permission/{permissionId} | Get permission scheme grant
*PermissionSchemesApi* | [**comAtlassianJiraRestV2AdminPermissionschemePermissionSchemeResourceGetPermissionSchemeGrantsGet**](doc//PermissionSchemesApi.md#comatlassianjirarestv2adminpermissionschemepermissionschemeresourcegetpermissionschemegrantsget) | **get** /rest/api/3/permissionscheme/{schemeId}/permission | Get permission scheme grants
*PermissionSchemesApi* | [**comAtlassianJiraRestV2AdminPermissionschemePermissionSchemeResourceUpdatePermissionSchemePut**](doc//PermissionSchemesApi.md#comatlassianjirarestv2adminpermissionschemepermissionschemeresourceupdatepermissionschemeput) | **put** /rest/api/3/permissionscheme/{schemeId} | Update permission scheme
*PermissionsApi* | [**comAtlassianJiraRestV2PermissionPermissionsResourceGetAllPermissionsGet**](doc//PermissionsApi.md#comatlassianjirarestv2permissionpermissionsresourcegetallpermissionsget) | **get** /rest/api/3/permissions | Get all permissions
*PermissionsApi* | [**comAtlassianJiraRestV2PermissionPermissionsResourceGetBulkPermissionsPost**](doc//PermissionsApi.md#comatlassianjirarestv2permissionpermissionsresourcegetbulkpermissionspost) | **post** /rest/api/3/permissions/check | Get bulk permissions
*PermissionsApi* | [**comAtlassianJiraRestV2PermissionPermissionsResourceGetMyPermissionsGet**](doc//PermissionsApi.md#comatlassianjirarestv2permissionpermissionsresourcegetmypermissionsget) | **get** /rest/api/3/mypermissions | Get my permissions
*PermissionsApi* | [**comAtlassianJiraRestV2PermissionPermissionsResourceGetPermittedProjectsPost**](doc//PermissionsApi.md#comatlassianjirarestv2permissionpermissionsresourcegetpermittedprojectspost) | **post** /rest/api/3/permissions/project | Get permitted projects
*ProjectAvatarsApi* | [**comAtlassianJiraRestV2IssueProjectResourceCreateProjectAvatarPost**](doc//ProjectAvatarsApi.md#comatlassianjirarestv2issueprojectresourcecreateprojectavatarpost) | **post** /rest/api/3/project/{projectIdOrKey}/avatar2 | Load project avatar
*ProjectAvatarsApi* | [**comAtlassianJiraRestV2IssueProjectResourceDeleteProjectAvatarDelete**](doc//ProjectAvatarsApi.md#comatlassianjirarestv2issueprojectresourcedeleteprojectavatardelete) | **delete** /rest/api/3/project/{projectIdOrKey}/avatar/{id} | Delete project avatar
*ProjectAvatarsApi* | [**comAtlassianJiraRestV2IssueProjectResourceGetAllProjectAvatarsGet**](doc//ProjectAvatarsApi.md#comatlassianjirarestv2issueprojectresourcegetallprojectavatarsget) | **get** /rest/api/3/project/{projectIdOrKey}/avatars | Get all project avatars
*ProjectAvatarsApi* | [**comAtlassianJiraRestV2IssueProjectResourceUpdateProjectAvatarPut**](doc//ProjectAvatarsApi.md#comatlassianjirarestv2issueprojectresourceupdateprojectavatarput) | **put** /rest/api/3/project/{projectIdOrKey}/avatar | Set project avatar
*ProjectCategoriesApi* | [**comAtlassianJiraRestV2IssueProjectCategoryResourceCreateProjectCategoryPost**](doc//ProjectCategoriesApi.md#comatlassianjirarestv2issueprojectcategoryresourcecreateprojectcategorypost) | **post** /rest/api/3/projectCategory | Create project category
*ProjectCategoriesApi* | [**comAtlassianJiraRestV2IssueProjectCategoryResourceGetAllProjectCategoriesGet**](doc//ProjectCategoriesApi.md#comatlassianjirarestv2issueprojectcategoryresourcegetallprojectcategoriesget) | **get** /rest/api/3/projectCategory | Get all project categories
*ProjectCategoriesApi* | [**comAtlassianJiraRestV2IssueProjectCategoryResourceGetProjectCategoryByIdGet**](doc//ProjectCategoriesApi.md#comatlassianjirarestv2issueprojectcategoryresourcegetprojectcategorybyidget) | **get** /rest/api/3/projectCategory/{id} | Get project category by id
*ProjectCategoriesApi* | [**comAtlassianJiraRestV2IssueProjectCategoryResourceRemoveProjectCategoryDelete**](doc//ProjectCategoriesApi.md#comatlassianjirarestv2issueprojectcategoryresourceremoveprojectcategorydelete) | **delete** /rest/api/3/projectCategory/{id} | Delete project category
*ProjectCategoriesApi* | [**comAtlassianJiraRestV2IssueProjectCategoryResourceUpdateProjectCategoryPut**](doc//ProjectCategoriesApi.md#comatlassianjirarestv2issueprojectcategoryresourceupdateprojectcategoryput) | **put** /rest/api/3/projectCategory/{id} | Update project category
*ProjectComponentsApi* | [**comAtlassianJiraRestV2IssueComponentResourceCreateComponentPost**](doc//ProjectComponentsApi.md#comatlassianjirarestv2issuecomponentresourcecreatecomponentpost) | **post** /rest/api/3/component | Create component
*ProjectComponentsApi* | [**comAtlassianJiraRestV2IssueComponentResourceDeleteComponentDelete**](doc//ProjectComponentsApi.md#comatlassianjirarestv2issuecomponentresourcedeletecomponentdelete) | **delete** /rest/api/3/component/{id} | Delete component
*ProjectComponentsApi* | [**comAtlassianJiraRestV2IssueComponentResourceGetComponentGet**](doc//ProjectComponentsApi.md#comatlassianjirarestv2issuecomponentresourcegetcomponentget) | **get** /rest/api/3/component/{id} | Get component
*ProjectComponentsApi* | [**comAtlassianJiraRestV2IssueComponentResourceGetComponentRelatedIssuesGet**](doc//ProjectComponentsApi.md#comatlassianjirarestv2issuecomponentresourcegetcomponentrelatedissuesget) | **get** /rest/api/3/component/{id}/relatedIssueCounts | Get component issues count
*ProjectComponentsApi* | [**comAtlassianJiraRestV2IssueComponentResourceUpdateComponentPut**](doc//ProjectComponentsApi.md#comatlassianjirarestv2issuecomponentresourceupdatecomponentput) | **put** /rest/api/3/component/{id} | Update component
*ProjectComponentsApi* | [**comAtlassianJiraRestV2IssueProjectResourceGetProjectComponentsGet**](doc//ProjectComponentsApi.md#comatlassianjirarestv2issueprojectresourcegetprojectcomponentsget) | **get** /rest/api/3/project/{projectIdOrKey}/components | Get project components
*ProjectComponentsApi* | [**comAtlassianJiraRestV2IssueProjectResourceGetProjectComponentsPaginatedGet**](doc//ProjectComponentsApi.md#comatlassianjirarestv2issueprojectresourcegetprojectcomponentspaginatedget) | **get** /rest/api/3/project/{projectIdOrKey}/component | Get project components paginated
*ProjectKeyAndNameValidationApi* | [**comAtlassianJiraRestV2IssueProjectValidateResourceGetValidProjectKeyGet**](doc//ProjectKeyAndNameValidationApi.md#comatlassianjirarestv2issueprojectvalidateresourcegetvalidprojectkeyget) | **get** /rest/api/3/projectvalidate/validProjectKey | Get valid project key
*ProjectKeyAndNameValidationApi* | [**comAtlassianJiraRestV2IssueProjectValidateResourceGetValidProjectNameGet**](doc//ProjectKeyAndNameValidationApi.md#comatlassianjirarestv2issueprojectvalidateresourcegetvalidprojectnameget) | **get** /rest/api/3/projectvalidate/validProjectName | Get valid project name
*ProjectKeyAndNameValidationApi* | [**comAtlassianJiraRestV2IssueProjectValidateResourceValidateProjectKeyGet**](doc//ProjectKeyAndNameValidationApi.md#comatlassianjirarestv2issueprojectvalidateresourcevalidateprojectkeyget) | **get** /rest/api/3/projectvalidate/key | Validate project key
*ProjectPermissionSchemesApi* | [**comAtlassianJiraRestV2IssueProjectIssueSecurityLevelSchemeResourceGetIssueSecuritySchemeGet**](doc//ProjectPermissionSchemesApi.md#comatlassianjirarestv2issueprojectissuesecuritylevelschemeresourcegetissuesecurityschemeget) | **get** /rest/api/3/project/{projectKeyOrId}/issuesecuritylevelscheme | Get project issue security scheme
*ProjectPermissionSchemesApi* | [**comAtlassianJiraRestV2PermissionProjectPermissionSchemeResourceAssignPermissionSchemePut**](doc//ProjectPermissionSchemesApi.md#comatlassianjirarestv2permissionprojectpermissionschemeresourceassignpermissionschemeput) | **put** /rest/api/3/project/{projectKeyOrId}/permissionscheme | Assign permission scheme
*ProjectPermissionSchemesApi* | [**comAtlassianJiraRestV2PermissionProjectPermissionSchemeResourceGetAssignedPermissionSchemeGet**](doc//ProjectPermissionSchemesApi.md#comatlassianjirarestv2permissionprojectpermissionschemeresourcegetassignedpermissionschemeget) | **get** /rest/api/3/project/{projectKeyOrId}/permissionscheme | Get assigned permission scheme
*ProjectPermissionSchemesApi* | [**comAtlassianJiraRestV2SecuritylevelProjectSecurityLevelResourceGetSecurityLevelsForProjectGet**](doc//ProjectPermissionSchemesApi.md#comatlassianjirarestv2securitylevelprojectsecuritylevelresourcegetsecuritylevelsforprojectget) | **get** /rest/api/3/project/{projectKeyOrId}/securitylevel | Get project issue security levels
*ProjectPropertiesApi* | [**comAtlassianJiraRestV2IssueProjectPropertyResourceDeleteProjectPropertyDelete**](doc//ProjectPropertiesApi.md#comatlassianjirarestv2issueprojectpropertyresourcedeleteprojectpropertydelete) | **delete** /rest/api/3/project/{projectIdOrKey}/properties/{propertyKey} | Delete project property
*ProjectPropertiesApi* | [**comAtlassianJiraRestV2IssueProjectPropertyResourceGetProjectPropertyGet**](doc//ProjectPropertiesApi.md#comatlassianjirarestv2issueprojectpropertyresourcegetprojectpropertyget) | **get** /rest/api/3/project/{projectIdOrKey}/properties/{propertyKey} | Get project property
*ProjectPropertiesApi* | [**comAtlassianJiraRestV2IssueProjectPropertyResourceGetProjectPropertyKeysGet**](doc//ProjectPropertiesApi.md#comatlassianjirarestv2issueprojectpropertyresourcegetprojectpropertykeysget) | **get** /rest/api/3/project/{projectIdOrKey}/properties | Get project property keys
*ProjectPropertiesApi* | [**comAtlassianJiraRestV2IssueProjectPropertyResourceSetProjectPropertyPut**](doc//ProjectPropertiesApi.md#comatlassianjirarestv2issueprojectpropertyresourcesetprojectpropertyput) | **put** /rest/api/3/project/{projectIdOrKey}/properties/{propertyKey} | Set project property
*ProjectRoleActorsApi* | [**comAtlassianJiraRestV2IssueProjectProjectRoleResourceAddActorUsersPost**](doc//ProjectRoleActorsApi.md#comatlassianjirarestv2issueprojectprojectroleresourceaddactoruserspost) | **post** /rest/api/3/project/{projectIdOrKey}/role/{id} | Add actors to project role
*ProjectRoleActorsApi* | [**comAtlassianJiraRestV2IssueProjectProjectRoleResourceDeleteActorDelete**](doc//ProjectRoleActorsApi.md#comatlassianjirarestv2issueprojectprojectroleresourcedeleteactordelete) | **delete** /rest/api/3/project/{projectIdOrKey}/role/{id} | Delete actors from project role
*ProjectRoleActorsApi* | [**comAtlassianJiraRestV2IssueProjectProjectRoleResourceSetActorsPut**](doc//ProjectRoleActorsApi.md#comatlassianjirarestv2issueprojectprojectroleresourcesetactorsput) | **put** /rest/api/3/project/{projectIdOrKey}/role/{id} | Set actors for project role
*ProjectRoleActorsApi* | [**comAtlassianJiraRestV2IssueProjectRoleResourceAddProjectRoleActorsToRolePost**](doc//ProjectRoleActorsApi.md#comatlassianjirarestv2issueprojectroleresourceaddprojectroleactorstorolepost) | **post** /rest/api/3/role/{id}/actors | Add default actors to project role
*ProjectRoleActorsApi* | [**comAtlassianJiraRestV2IssueProjectRoleResourceDeleteProjectRoleActorsFromRoleDelete**](doc//ProjectRoleActorsApi.md#comatlassianjirarestv2issueprojectroleresourcedeleteprojectroleactorsfromroledelete) | **delete** /rest/api/3/role/{id}/actors | Delete default actors from project role
*ProjectRoleActorsApi* | [**comAtlassianJiraRestV2IssueProjectRoleResourceGetProjectRoleActorsForRoleGet**](doc//ProjectRoleActorsApi.md#comatlassianjirarestv2issueprojectroleresourcegetprojectroleactorsforroleget) | **get** /rest/api/3/role/{id}/actors | Get default actors for project role
*ProjectRolesApi* | [**comAtlassianJiraRestV2IssueProjectProjectRoleDetailsResourceGetProjectRoleDetailsGet**](doc//ProjectRolesApi.md#comatlassianjirarestv2issueprojectprojectroledetailsresourcegetprojectroledetailsget) | **get** /rest/api/3/project/{projectIdOrKey}/roledetails | Get project role details
*ProjectRolesApi* | [**comAtlassianJiraRestV2IssueProjectProjectRoleResourceGetProjectRoleGet**](doc//ProjectRolesApi.md#comatlassianjirarestv2issueprojectprojectroleresourcegetprojectroleget) | **get** /rest/api/3/project/{projectIdOrKey}/role/{id} | Get project role for project
*ProjectRolesApi* | [**comAtlassianJiraRestV2IssueProjectProjectRoleResourceGetProjectRolesGet**](doc//ProjectRolesApi.md#comatlassianjirarestv2issueprojectprojectroleresourcegetprojectrolesget) | **get** /rest/api/3/project/{projectIdOrKey}/role | Get project roles for project
*ProjectRolesApi* | [**comAtlassianJiraRestV2IssueProjectRoleResourceCreateProjectRolePost**](doc//ProjectRolesApi.md#comatlassianjirarestv2issueprojectroleresourcecreateprojectrolepost) | **post** /rest/api/3/role | Create project role
*ProjectRolesApi* | [**comAtlassianJiraRestV2IssueProjectRoleResourceDeleteProjectRoleDelete**](doc//ProjectRolesApi.md#comatlassianjirarestv2issueprojectroleresourcedeleteprojectroledelete) | **delete** /rest/api/3/role/{id} | Delete project role
*ProjectRolesApi* | [**comAtlassianJiraRestV2IssueProjectRoleResourceFullyUpdateProjectRolePut**](doc//ProjectRolesApi.md#comatlassianjirarestv2issueprojectroleresourcefullyupdateprojectroleput) | **put** /rest/api/3/role/{id} | Fully update project role
*ProjectRolesApi* | [**comAtlassianJiraRestV2IssueProjectRoleResourceGetAllProjectRolesGet**](doc//ProjectRolesApi.md#comatlassianjirarestv2issueprojectroleresourcegetallprojectrolesget) | **get** /rest/api/3/role | Get all project roles
*ProjectRolesApi* | [**comAtlassianJiraRestV2IssueProjectRoleResourceGetProjectRoleByIdGet**](doc//ProjectRolesApi.md#comatlassianjirarestv2issueprojectroleresourcegetprojectrolebyidget) | **get** /rest/api/3/role/{id} | Get project role by ID
*ProjectRolesApi* | [**comAtlassianJiraRestV2IssueProjectRoleResourcePartialUpdateProjectRolePost**](doc//ProjectRolesApi.md#comatlassianjirarestv2issueprojectroleresourcepartialupdateprojectrolepost) | **post** /rest/api/3/role/{id} | Partial update project role
*ProjectTypesApi* | [**comAtlassianJiraRestV2ProjectTypeProjectTypeResourceGetAccessibleProjectTypeByKeyGet**](doc//ProjectTypesApi.md#comatlassianjirarestv2projecttypeprojecttyperesourcegetaccessibleprojecttypebykeyget) | **get** /rest/api/3/project/type/{projectTypeKey}/accessible | Get accessible project type by key
*ProjectTypesApi* | [**comAtlassianJiraRestV2ProjectTypeProjectTypeResourceGetAllProjectTypesGet**](doc//ProjectTypesApi.md#comatlassianjirarestv2projecttypeprojecttyperesourcegetallprojecttypesget) | **get** /rest/api/3/project/type | Get all project types
*ProjectTypesApi* | [**comAtlassianJiraRestV2ProjectTypeProjectTypeResourceGetProjectTypeByKeyGet**](doc//ProjectTypesApi.md#comatlassianjirarestv2projecttypeprojecttyperesourcegetprojecttypebykeyget) | **get** /rest/api/3/project/type/{projectTypeKey} | Get project type by key
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueProjectResourceGetProjectVersionsGet**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueprojectresourcegetprojectversionsget) | **get** /rest/api/3/project/{projectIdOrKey}/versions | Get project versions
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueProjectResourceGetProjectVersionsPaginatedGet**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueprojectresourcegetprojectversionspaginatedget) | **get** /rest/api/3/project/{projectIdOrKey}/version | Get project versions paginated
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueVersionResourceCreateVersionPost**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueversionresourcecreateversionpost) | **post** /rest/api/3/version | Create version
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueVersionResourceDeleteAndReplaceVersionPost**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueversionresourcedeleteandreplaceversionpost) | **post** /rest/api/3/version/{id}/removeAndSwap | Delete and replace version
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueVersionResourceDeleteVersionDelete**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueversionresourcedeleteversiondelete) | **delete** /rest/api/3/version/{id} | Delete version
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueVersionResourceGetVersionGet**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueversionresourcegetversionget) | **get** /rest/api/3/version/{id} | Get version
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueVersionResourceGetVersionRelatedIssuesGet**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueversionresourcegetversionrelatedissuesget) | **get** /rest/api/3/version/{id}/relatedIssueCounts | Get version&#39;s related issues count
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueVersionResourceGetVersionUnresolvedIssuesGet**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueversionresourcegetversionunresolvedissuesget) | **get** /rest/api/3/version/{id}/unresolvedIssueCount | Get version&#39;s unresolved issues count
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueVersionResourceMergeVersionsPut**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueversionresourcemergeversionsput) | **put** /rest/api/3/version/{id}/mergeto/{moveIssuesTo} | Merge versions
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueVersionResourceMoveVersionPost**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueversionresourcemoveversionpost) | **post** /rest/api/3/version/{id}/move | Move version
*ProjectVersionsApi* | [**comAtlassianJiraRestV2IssueVersionResourceUpdateVersionPut**](doc//ProjectVersionsApi.md#comatlassianjirarestv2issueversionresourceupdateversionput) | **put** /rest/api/3/version/{id} | Update version
*ProjectsApi* | [**comAtlassianJiraRestV2IssueProjectResourceCreateProjectPost**](doc//ProjectsApi.md#comatlassianjirarestv2issueprojectresourcecreateprojectpost) | **post** /rest/api/3/project | Create project
*ProjectsApi* | [**comAtlassianJiraRestV2IssueProjectResourceDeleteProjectDelete**](doc//ProjectsApi.md#comatlassianjirarestv2issueprojectresourcedeleteprojectdelete) | **delete** /rest/api/3/project/{projectIdOrKey} | Delete project
*ProjectsApi* | [**comAtlassianJiraRestV2IssueProjectResourceGetAllProjectsGet**](doc//ProjectsApi.md#comatlassianjirarestv2issueprojectresourcegetallprojectsget) | **get** /rest/api/3/project | Get all projects
*ProjectsApi* | [**comAtlassianJiraRestV2IssueProjectResourceGetAllStatusesGet**](doc//ProjectsApi.md#comatlassianjirarestv2issueprojectresourcegetallstatusesget) | **get** /rest/api/3/project/{projectIdOrKey}/statuses | Get all statuses for project
*ProjectsApi* | [**comAtlassianJiraRestV2IssueProjectResourceGetProjectGet**](doc//ProjectsApi.md#comatlassianjirarestv2issueprojectresourcegetprojectget) | **get** /rest/api/3/project/{projectIdOrKey} | Get project
*ProjectsApi* | [**comAtlassianJiraRestV2IssueProjectResourceSearchProjectsGet**](doc//ProjectsApi.md#comatlassianjirarestv2issueprojectresourcesearchprojectsget) | **get** /rest/api/3/project/search | Get projects paginated
*ProjectsApi* | [**comAtlassianJiraRestV2IssueProjectResourceUpdateProjectPut**](doc//ProjectsApi.md#comatlassianjirarestv2issueprojectresourceupdateprojectput) | **put** /rest/api/3/project/{projectIdOrKey} | Update project
*ProjectsApi* | [**comAtlassianJiraRestV2IssueProjectResourceUpdateProjectTypePut**](doc//ProjectsApi.md#comatlassianjirarestv2issueprojectresourceupdateprojecttypeput) | **put** /rest/api/3/project/{projectIdOrKey}/type/{newProjectTypeKey} | Update project type
*ProjectsApi* | [**comAtlassianJiraRestV2NextgenHierarchyResourceGetHierarchyGet**](doc//ProjectsApi.md#comatlassianjirarestv2nextgenhierarchyresourcegethierarchyget) | **get** /rest/api/3/project/{projectId}/hierarchy | Get project issue type hierarchy
*ProjectsApi* | [**comAtlassianJiraRestV2NotificationProjectNotificationSchemeResourceGetNotificationSchemeGet**](doc//ProjectsApi.md#comatlassianjirarestv2notificationprojectnotificationschemeresourcegetnotificationschemeget) | **get** /rest/api/3/project/{projectKeyOrId}/notificationscheme | Get project notification scheme
*ScreensApi* | [**comAtlassianJiraRestV2IssueFieldResourceGetScreensForFieldGet**](doc//ScreensApi.md#comatlassianjirarestv2issuefieldresourcegetscreensforfieldget) | **get** /rest/api/3/field/{fieldId}/screens | Get screens for a field
*ScreensApi* | [**comAtlassianJiraRestV2IssueIssuetypescreenschemeIssueTypeScreenSchemeResourceGetIssueTypeScreenSchemeMappingsGet**](doc//ScreensApi.md#comatlassianjirarestv2issueissuetypescreenschemeissuetypescreenschemeresourcegetissuetypescreenschememappingsget) | **get** /rest/api/3/issuetypescreenscheme/mapping | Get issue type screen scheme items
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceAddFieldToDefaultScreenPost**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourceaddfieldtodefaultscreenpost) | **post** /rest/api/3/screens/addToDefault/{fieldId} | Add field to default screen
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceAddScreenTabFieldPost**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourceaddscreentabfieldpost) | **post** /rest/api/3/screens/{screenId}/tabs/{tabId}/fields | Add screen tab field
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceAddScreenTabPost**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourceaddscreentabpost) | **post** /rest/api/3/screens/{screenId}/tabs | Create screen tab
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceDeleteScreenTabDelete**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourcedeletescreentabdelete) | **delete** /rest/api/3/screens/{screenId}/tabs/{tabId} | Delete screen tab
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceGetAllScreenTabFieldsGet**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourcegetallscreentabfieldsget) | **get** /rest/api/3/screens/{screenId}/tabs/{tabId}/fields | Get all screen tab fields
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceGetAllScreenTabsGet**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourcegetallscreentabsget) | **get** /rest/api/3/screens/{screenId}/tabs | Get all screen tabs
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceGetAllScreensGet**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourcegetallscreensget) | **get** /rest/api/3/screens | Get all screens
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceGetAvailableScreenFieldsGet**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourcegetavailablescreenfieldsget) | **get** /rest/api/3/screens/{screenId}/availableFields | Get available screen fields
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceMoveScreenTabFieldPost**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourcemovescreentabfieldpost) | **post** /rest/api/3/screens/{screenId}/tabs/{tabId}/fields/{id}/move | Move screen tab field
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceMoveScreenTabPost**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourcemovescreentabpost) | **post** /rest/api/3/screens/{screenId}/tabs/{tabId}/move/{pos} | Move screen tab
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceRemoveScreenTabFieldDelete**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourceremovescreentabfielddelete) | **delete** /rest/api/3/screens/{screenId}/tabs/{tabId}/fields/{id} | Remove screen tab field
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreensResourceRenameScreenTabPut**](doc//ScreensApi.md#comatlassianjirarestv2issuescreensresourcerenamescreentabput) | **put** /rest/api/3/screens/{screenId}/tabs/{tabId} | Update screen tab
*ScreensApi* | [**comAtlassianJiraRestV2IssueScreenschemeScreenSchemeResourceGetAllScreenSchemesGet**](doc//ScreensApi.md#comatlassianjirarestv2issuescreenschemescreenschemeresourcegetallscreenschemesget) | **get** /rest/api/3/screenscheme | Get all screen schemes
*ServerInfoApi* | [**comAtlassianJiraRestV2ServerInfoResourceGetServerInfoGet**](doc//ServerInfoApi.md#comatlassianjirarestv2serverinforesourcegetserverinfoget) | **get** /rest/api/3/serverInfo | Get Jira instance info
*TasksApi* | [**comAtlassianJiraRestV2TaskTaskResourceCancelTaskPost**](doc//TasksApi.md#comatlassianjirarestv2tasktaskresourcecanceltaskpost) | **post** /rest/api/3/task/{taskId}/cancel | Cancel task
*TasksApi* | [**comAtlassianJiraRestV2TaskTaskResourceGetTaskGet**](doc//TasksApi.md#comatlassianjirarestv2tasktaskresourcegettaskget) | **get** /rest/api/3/task/{taskId} | Get task
*TimeTrackingApi* | [**comAtlassianJiraRestV2AdminTimetrackingTimeTrackingResourceGetAvailableTimeTrackingImplementationsGet**](doc//TimeTrackingApi.md#comatlassianjirarestv2admintimetrackingtimetrackingresourcegetavailabletimetrackingimplementationsget) | **get** /rest/api/3/configuration/timetracking/list | Get all time tracking providers
*TimeTrackingApi* | [**comAtlassianJiraRestV2AdminTimetrackingTimeTrackingResourceGetSelectedTimeTrackingImplementationGet**](doc//TimeTrackingApi.md#comatlassianjirarestv2admintimetrackingtimetrackingresourcegetselectedtimetrackingimplementationget) | **get** /rest/api/3/configuration/timetracking | Get selected time tracking provider
*TimeTrackingApi* | [**comAtlassianJiraRestV2AdminTimetrackingTimeTrackingResourceGetSharedTimeTrackingConfigurationGet**](doc//TimeTrackingApi.md#comatlassianjirarestv2admintimetrackingtimetrackingresourcegetsharedtimetrackingconfigurationget) | **get** /rest/api/3/configuration/timetracking/options | Get time tracking settings
*TimeTrackingApi* | [**comAtlassianJiraRestV2AdminTimetrackingTimeTrackingResourceSelectTimeTrackingImplementationPut**](doc//TimeTrackingApi.md#comatlassianjirarestv2admintimetrackingtimetrackingresourceselecttimetrackingimplementationput) | **put** /rest/api/3/configuration/timetracking | Select time tracking provider
*TimeTrackingApi* | [**comAtlassianJiraRestV2AdminTimetrackingTimeTrackingResourceSetSharedTimeTrackingConfigurationPut**](doc//TimeTrackingApi.md#comatlassianjirarestv2admintimetrackingtimetrackingresourcesetsharedtimetrackingconfigurationput) | **put** /rest/api/3/configuration/timetracking/options | Set time tracking settings
*UserPropertiesApi* | [**comAtlassianJiraRestV2UserpropertyUserPropertyResourceDeleteUserPropertyDelete**](doc//UserPropertiesApi.md#comatlassianjirarestv2userpropertyuserpropertyresourcedeleteuserpropertydelete) | **delete** /rest/api/3/user/properties/{propertyKey} | Delete user property
*UserPropertiesApi* | [**comAtlassianJiraRestV2UserpropertyUserPropertyResourceGetUserPropertyGet**](doc//UserPropertiesApi.md#comatlassianjirarestv2userpropertyuserpropertyresourcegetuserpropertyget) | **get** /rest/api/3/user/properties/{propertyKey} | Get user property
*UserPropertiesApi* | [**comAtlassianJiraRestV2UserpropertyUserPropertyResourceGetUserPropertyKeysGet**](doc//UserPropertiesApi.md#comatlassianjirarestv2userpropertyuserpropertyresourcegetuserpropertykeysget) | **get** /rest/api/3/user/properties | Get user property keys
*UserPropertiesApi* | [**comAtlassianJiraRestV2UserpropertyUserPropertyResourceSetUserPropertyPut**](doc//UserPropertiesApi.md#comatlassianjirarestv2userpropertyuserpropertyresourcesetuserpropertyput) | **put** /rest/api/3/user/properties/{propertyKey} | Set user property
*UserSearchApi* | [**comAtlassianJiraRestV2IssueUserResourceFindAssignableUsersGet**](doc//UserSearchApi.md#comatlassianjirarestv2issueuserresourcefindassignableusersget) | **get** /rest/api/3/user/assignable/search | Find users assignable to issues
*UserSearchApi* | [**comAtlassianJiraRestV2IssueUserResourceFindBulkAssignableUsersGet**](doc//UserSearchApi.md#comatlassianjirarestv2issueuserresourcefindbulkassignableusersget) | **get** /rest/api/3/user/assignable/multiProjectSearch | Find users assignable to projects
*UserSearchApi* | [**comAtlassianJiraRestV2IssueUserResourceFindUsersForPickerGet**](doc//UserSearchApi.md#comatlassianjirarestv2issueuserresourcefindusersforpickerget) | **get** /rest/api/3/user/picker | Find users for picker
*UserSearchApi* | [**comAtlassianJiraRestV2IssueUserResourceFindUsersGet**](doc//UserSearchApi.md#comatlassianjirarestv2issueuserresourcefindusersget) | **get** /rest/api/3/user/search | Find users
*UserSearchApi* | [**comAtlassianJiraRestV2IssueUserResourceFindUsersWithAllPermissionsGet**](doc//UserSearchApi.md#comatlassianjirarestv2issueuserresourcefinduserswithallpermissionsget) | **get** /rest/api/3/user/permission/search | Find users with permissions
*UserSearchApi* | [**comAtlassianJiraRestV2IssueUserResourceFindUsersWithBrowsePermissionGet**](doc//UserSearchApi.md#comatlassianjirarestv2issueuserresourcefinduserswithbrowsepermissionget) | **get** /rest/api/3/user/viewissue/search | Find users with browse permission
*UserSearchApi* | [**comAtlassianJiraRestV2SearchUserSearchResourceFindUserKeysByQueryGet**](doc//UserSearchApi.md#comatlassianjirarestv2searchusersearchresourcefinduserkeysbyqueryget) | **get** /rest/api/3/user/search/query/key | Find user keys by query
*UserSearchApi* | [**comAtlassianJiraRestV2SearchUserSearchResourceFindUsersByQueryGet**](doc//UserSearchApi.md#comatlassianjirarestv2searchusersearchresourcefindusersbyqueryget) | **get** /rest/api/3/user/search/query | Find users by query
*UsersApi* | [**comAtlassianJiraRestV2IssueUserResourceCreateUserPost**](doc//UsersApi.md#comatlassianjirarestv2issueuserresourcecreateuserpost) | **post** /rest/api/3/user | Create user
*UsersApi* | [**comAtlassianJiraRestV2IssueUserResourceGetUserDefaultColumnsGet**](doc//UsersApi.md#comatlassianjirarestv2issueuserresourcegetuserdefaultcolumnsget) | **get** /rest/api/3/user/columns | Get user default columns
*UsersApi* | [**comAtlassianJiraRestV2IssueUserResourceGetUserGet**](doc//UsersApi.md#comatlassianjirarestv2issueuserresourcegetuserget) | **get** /rest/api/3/user | Get user
*UsersApi* | [**comAtlassianJiraRestV2IssueUserResourceGetUserGroupsGet**](doc//UsersApi.md#comatlassianjirarestv2issueuserresourcegetusergroupsget) | **get** /rest/api/3/user/groups | Get user groups
*UsersApi* | [**comAtlassianJiraRestV2IssueUserResourceRemoveUserDelete**](doc//UsersApi.md#comatlassianjirarestv2issueuserresourceremoveuserdelete) | **delete** /rest/api/3/user | Delete user
*UsersApi* | [**comAtlassianJiraRestV2IssueUserResourceResetUserColumnsDelete**](doc//UsersApi.md#comatlassianjirarestv2issueuserresourceresetusercolumnsdelete) | **delete** /rest/api/3/user/columns | Reset user default columns
*UsersApi* | [**comAtlassianJiraRestV2IssueUserResourceSetUserColumnsPut**](doc//UsersApi.md#comatlassianjirarestv2issueuserresourcesetusercolumnsput) | **put** /rest/api/3/user/columns | Set user default columns
*UsersApi* | [**comAtlassianJiraRestV2IssueUsersResourceGetAllUsersDefaultGet**](doc//UsersApi.md#comatlassianjirarestv2issueusersresourcegetallusersdefaultget) | **get** /rest/api/3/users | Get all users default
*UsersApi* | [**comAtlassianJiraRestV2IssueUsersResourceGetAllUsersGet**](doc//UsersApi.md#comatlassianjirarestv2issueusersresourcegetallusersget) | **get** /rest/api/3/users/search | Get all users
*UsersApi* | [**comAtlassianJiraRestV2UserUnrestrictedUserEmailResourceGetUserEmailBulkGet**](doc//UsersApi.md#comatlassianjirarestv2userunrestricteduseremailresourcegetuseremailbulkget) | **get** /rest/api/3/user/email/bulk | Get user email bulk
*UsersApi* | [**comAtlassianJiraRestV2UserUnrestrictedUserEmailResourceGetUserEmailGet**](doc//UsersApi.md#comatlassianjirarestv2userunrestricteduseremailresourcegetuseremailget) | **get** /rest/api/3/user/email | Get user email
*UsersApi* | [**comAtlassianJiraRestV2UserUserBulkResourceBulkGetUsersGet**](doc//UsersApi.md#comatlassianjirarestv2useruserbulkresourcebulkgetusersget) | **get** /rest/api/3/user/bulk | Bulk get users
*UsersApi* | [**comAtlassianJiraRestV2UserUserBulkResourceBulkGetUsersMigrationGet**](doc//UsersApi.md#comatlassianjirarestv2useruserbulkresourcebulkgetusersmigrationget) | **get** /rest/api/3/user/bulk/migration | Get account IDs for users
*WebhooksApi* | [**comAtlassianJiraRestV2WebhookDynamicWebhookResourceDeleteWebhookByIdDelete**](doc//WebhooksApi.md#comatlassianjirarestv2webhookdynamicwebhookresourcedeletewebhookbyiddelete) | **delete** /rest/api/3/webhook | Delete webhooks by ID
*WebhooksApi* | [**comAtlassianJiraRestV2WebhookDynamicWebhookResourceGetDynamicWebhooksForAppGet**](doc//WebhooksApi.md#comatlassianjirarestv2webhookdynamicwebhookresourcegetdynamicwebhooksforappget) | **get** /rest/api/3/webhook | Get dynamic webhooks for app
*WebhooksApi* | [**comAtlassianJiraRestV2WebhookDynamicWebhookResourceRefreshWebhooksPut**](doc//WebhooksApi.md#comatlassianjirarestv2webhookdynamicwebhookresourcerefreshwebhooksput) | **put** /rest/api/3/webhook/refresh | Extend webhook life
*WebhooksApi* | [**comAtlassianJiraRestV2WebhookDynamicWebhookResourceRegisterDynamicWebhooksPost**](doc//WebhooksApi.md#comatlassianjirarestv2webhookdynamicwebhookresourceregisterdynamicwebhookspost) | **post** /rest/api/3/webhook | Register dynamic webhooks
*WebhooksApi* | [**comAtlassianJiraRestV2WebhookFailedWebhookResourceGetFailedWebhooksGet**](doc//WebhooksApi.md#comatlassianjirarestv2webhookfailedwebhookresourcegetfailedwebhooksget) | **get** /rest/api/3/webhook/failed | Get failed webhooks
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceCreateWorkflowSchemeDraftFromParentPost**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcecreateworkflowschemedraftfromparentpost) | **post** /rest/api/3/workflowscheme/{id}/createdraft | Create draft workflow scheme
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceDeleteDraftDefaultWorkflowDelete**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcedeletedraftdefaultworkflowdelete) | **delete** /rest/api/3/workflowscheme/{id}/draft/default | Delete draft default workflow
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceDeleteDraftWorkflowMappingDelete**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcedeletedraftworkflowmappingdelete) | **delete** /rest/api/3/workflowscheme/{id}/draft/workflow | Delete issue types for workflow in draft workflow scheme
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceDeleteWorkflowSchemeDraftDelete**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcedeleteworkflowschemedraftdelete) | **delete** /rest/api/3/workflowscheme/{id}/draft | Delete draft workflow scheme
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceDeleteWorkflowSchemeDraftIssueTypeDelete**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcedeleteworkflowschemedraftissuetypedelete) | **delete** /rest/api/3/workflowscheme/{id}/draft/issuetype/{issueType} | Delete workflow for issue type in draft workflow scheme
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceGetDraftDefaultWorkflowGet**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcegetdraftdefaultworkflowget) | **get** /rest/api/3/workflowscheme/{id}/draft/default | Get draft default workflow
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceGetDraftWorkflowGet**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcegetdraftworkflowget) | **get** /rest/api/3/workflowscheme/{id}/draft/workflow | Get issue types for workflows in draft workflow scheme
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceGetWorkflowSchemeDraftGet**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcegetworkflowschemedraftget) | **get** /rest/api/3/workflowscheme/{id}/draft | Get draft workflow scheme
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceGetWorkflowSchemeDraftIssueTypeGet**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcegetworkflowschemedraftissuetypeget) | **get** /rest/api/3/workflowscheme/{id}/draft/issuetype/{issueType} | Get workflow for issue type in draft workflow scheme
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceSetWorkflowSchemeDraftIssueTypePut**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcesetworkflowschemedraftissuetypeput) | **put** /rest/api/3/workflowscheme/{id}/draft/issuetype/{issueType} | Set workflow for issue type in draft workflow scheme
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceUpdateDraftDefaultWorkflowPut**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourceupdatedraftdefaultworkflowput) | **put** /rest/api/3/workflowscheme/{id}/draft/default | Update draft default workflow
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceUpdateDraftWorkflowMappingPut**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourceupdatedraftworkflowmappingput) | **put** /rest/api/3/workflowscheme/{id}/draft/workflow | Set issue types for workflow in workflow scheme
*WorkflowSchemeDraftsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceUpdateWorkflowSchemeDraftPut**](doc//WorkflowSchemeDraftsApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourceupdateworkflowschemedraftput) | **put** /rest/api/3/workflowscheme/{id}/draft | Update draft workflow scheme
*WorkflowSchemeProjectAssociationsApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeProjectWorkflowSchemeProjectResourceGetWorkflowSchemeProjectAssociationsGet**](doc//WorkflowSchemeProjectAssociationsApi.md#comatlassianjirarestv2adminworkflowschemeprojectworkflowschemeprojectresourcegetworkflowschemeprojectassociationsget) | **get** /rest/api/3/workflowscheme/project | Get workflow scheme project associations
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceCreateWorkflowSchemePost**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcecreateworkflowschemepost) | **post** /rest/api/3/workflowscheme | Create workflow scheme
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceDeleteDefaultWorkflowDelete**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcedeletedefaultworkflowdelete) | **delete** /rest/api/3/workflowscheme/{id}/default | Delete default workflow
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceDeleteWorkflowMappingDelete**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcedeleteworkflowmappingdelete) | **delete** /rest/api/3/workflowscheme/{id}/workflow | Delete issue types for workflow in workflow scheme
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceDeleteWorkflowSchemeDelete**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcedeleteworkflowschemedelete) | **delete** /rest/api/3/workflowscheme/{id} | Delete workflow scheme
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceDeleteWorkflowSchemeIssueTypeDelete**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcedeleteworkflowschemeissuetypedelete) | **delete** /rest/api/3/workflowscheme/{id}/issuetype/{issueType} | Delete workflow for issue type in workflow scheme
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceGetAllWorkflowSchemesGet**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcegetallworkflowschemesget) | **get** /rest/api/3/workflowscheme | Get all workflow schemes
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceGetDefaultWorkflowGet**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcegetdefaultworkflowget) | **get** /rest/api/3/workflowscheme/{id}/default | Get default workflow
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceGetWorkflowGet**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcegetworkflowget) | **get** /rest/api/3/workflowscheme/{id}/workflow | Get issue types for workflows in workflow scheme
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceGetWorkflowSchemeGet**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcegetworkflowschemeget) | **get** /rest/api/3/workflowscheme/{id} | Get workflow scheme
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceGetWorkflowSchemeIssueTypeGet**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcegetworkflowschemeissuetypeget) | **get** /rest/api/3/workflowscheme/{id}/issuetype/{issueType} | Get workflow for issue type in workflow scheme
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceSetWorkflowSchemeIssueTypePut**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourcesetworkflowschemeissuetypeput) | **put** /rest/api/3/workflowscheme/{id}/issuetype/{issueType} | Set workflow for issue type in workflow scheme
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceUpdateDefaultWorkflowPut**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourceupdatedefaultworkflowput) | **put** /rest/api/3/workflowscheme/{id}/default | Update default workflow
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceUpdateWorkflowMappingPut**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourceupdateworkflowmappingput) | **put** /rest/api/3/workflowscheme/{id}/workflow | Set issue types for workflow in workflow scheme
*WorkflowSchemesApi* | [**comAtlassianJiraRestV2AdminWorkflowschemeWorkflowSchemeResourceUpdateWorkflowSchemePut**](doc//WorkflowSchemesApi.md#comatlassianjirarestv2adminworkflowschemeworkflowschemeresourceupdateworkflowschemeput) | **put** /rest/api/3/workflowscheme/{id} | Update workflow scheme
*WorkflowStatusCategoriesApi* | [**comAtlassianJiraRestV2IssueStatusCategoryResourceGetStatusCategoriesGet**](doc//WorkflowStatusCategoriesApi.md#comatlassianjirarestv2issuestatuscategoryresourcegetstatuscategoriesget) | **get** /rest/api/3/statuscategory | Get all status categories
*WorkflowStatusCategoriesApi* | [**comAtlassianJiraRestV2IssueStatusCategoryResourceGetStatusCategoryGet**](doc//WorkflowStatusCategoriesApi.md#comatlassianjirarestv2issuestatuscategoryresourcegetstatuscategoryget) | **get** /rest/api/3/statuscategory/{idOrKey} | Get status category
*WorkflowStatusesApi* | [**comAtlassianJiraRestV2IssueStatusResourceGetStatusGet**](doc//WorkflowStatusesApi.md#comatlassianjirarestv2issuestatusresourcegetstatusget) | **get** /rest/api/3/status/{idOrName} | Get status
*WorkflowStatusesApi* | [**comAtlassianJiraRestV2IssueStatusResourceGetStatusesGet**](doc//WorkflowStatusesApi.md#comatlassianjirarestv2issuestatusresourcegetstatusesget) | **get** /rest/api/3/status | Get all statuses
*WorkflowTransitionPropertiesApi* | [**comAtlassianJiraRestV2AdminWorkflowTransitionResourceCreateWorkflowTransitionPropertyPost**](doc//WorkflowTransitionPropertiesApi.md#comatlassianjirarestv2adminworkflowtransitionresourcecreateworkflowtransitionpropertypost) | **post** /rest/api/3/workflow/transitions/{transitionId}/properties | Create workflow transition property
*WorkflowTransitionPropertiesApi* | [**comAtlassianJiraRestV2AdminWorkflowTransitionResourceDeleteWorkflowTransitionPropertyDelete**](doc//WorkflowTransitionPropertiesApi.md#comatlassianjirarestv2adminworkflowtransitionresourcedeleteworkflowtransitionpropertydelete) | **delete** /rest/api/3/workflow/transitions/{transitionId}/properties | Delete workflow transition property
*WorkflowTransitionPropertiesApi* | [**comAtlassianJiraRestV2AdminWorkflowTransitionResourceGetWorkflowTransitionPropertiesGet**](doc//WorkflowTransitionPropertiesApi.md#comatlassianjirarestv2adminworkflowtransitionresourcegetworkflowtransitionpropertiesget) | **get** /rest/api/3/workflow/transitions/{transitionId}/properties | Get workflow transition properties
*WorkflowTransitionPropertiesApi* | [**comAtlassianJiraRestV2AdminWorkflowTransitionResourceUpdateWorkflowTransitionPropertyPut**](doc//WorkflowTransitionPropertiesApi.md#comatlassianjirarestv2adminworkflowtransitionresourceupdateworkflowtransitionpropertyput) | **put** /rest/api/3/workflow/transitions/{transitionId}/properties | Update workflow transition property
*WorkflowTransitionRulesApi* | [**comAtlassianJiraRestV2AdminWorkflowWorkflowRuleConfigResourceGetWorkflowTransitionRuleConfigurationsGet**](doc//WorkflowTransitionRulesApi.md#comatlassianjirarestv2adminworkflowworkflowruleconfigresourcegetworkflowtransitionruleconfigurationsget) | **get** /rest/api/3/workflow/rule/config | Get workflow transition rule configurations
*WorkflowTransitionRulesApi* | [**comAtlassianJiraRestV2AdminWorkflowWorkflowRuleConfigResourceUpdateWorkflowTransitionRuleConfigurationsPut**](doc//WorkflowTransitionRulesApi.md#comatlassianjirarestv2adminworkflowworkflowruleconfigresourceupdateworkflowtransitionruleconfigurationsput) | **put** /rest/api/3/workflow/rule/config | Update workflow transition rule configurations
*WorkflowsApi* | [**comAtlassianJiraRestV2AdminWorkflowWorkflowSearchResourceGetWorkflowsPaginatedGet**](doc//WorkflowsApi.md#comatlassianjirarestv2adminworkflowworkflowsearchresourcegetworkflowspaginatedget) | **get** /rest/api/3/workflow/search | Get workflows paginated
*WorkflowsApi* | [**comAtlassianJiraRestV2AdminWorkflowsResourceGetAllWorkflowsGet**](doc//WorkflowsApi.md#comatlassianjirarestv2adminworkflowsresourcegetallworkflowsget) | **get** /rest/api/3/workflow | Get all workflows


## Documentation For Models

 - [ActorInputBean](doc//ActorInputBean.md)
 - [ActorsMap](doc//ActorsMap.md)
 - [AddFieldBean](doc//AddFieldBean.md)
 - [AddGroupBean](doc//AddGroupBean.md)
 - [Application](doc//Application.md)
 - [ApplicationProperty](doc//ApplicationProperty.md)
 - [ApplicationRole](doc//ApplicationRole.md)
 - [AssociatedItemBean](doc//AssociatedItemBean.md)
 - [Attachment](doc//Attachment.md)
 - [AttachmentArchiveEntry](doc//AttachmentArchiveEntry.md)
 - [AttachmentArchiveImpl](doc//AttachmentArchiveImpl.md)
 - [AttachmentArchiveItemReadable](doc//AttachmentArchiveItemReadable.md)
 - [AttachmentArchiveMetadataReadable](doc//AttachmentArchiveMetadataReadable.md)
 - [AttachmentMetadata](doc//AttachmentMetadata.md)
 - [AttachmentSettings](doc//AttachmentSettings.md)
 - [AuditRecordBean](doc//AuditRecordBean.md)
 - [AuditRecords](doc//AuditRecords.md)
 - [AutoCompleteSuggestion](doc//AutoCompleteSuggestion.md)
 - [AutoCompleteSuggestions](doc//AutoCompleteSuggestions.md)
 - [Avatar](doc//Avatar.md)
 - [AvatarUrls](doc//AvatarUrls.md)
 - [AvatarUrlsBean](doc//AvatarUrlsBean.md)
 - [Avatars](doc//Avatars.md)
 - [BulkCreateCustomFieldOptionRequest](doc//BulkCreateCustomFieldOptionRequest.md)
 - [BulkIssuePropertyUpdateRequest](doc//BulkIssuePropertyUpdateRequest.md)
 - [BulkOperationErrorResult](doc//BulkOperationErrorResult.md)
 - [BulkPermissionGrants](doc//BulkPermissionGrants.md)
 - [BulkPermissionsRequestBean](doc//BulkPermissionsRequestBean.md)
 - [BulkProjectPermissionGrants](doc//BulkProjectPermissionGrants.md)
 - [BulkProjectPermissions](doc//BulkProjectPermissions.md)
 - [ChangeDetails](doc//ChangeDetails.md)
 - [ChangedValueBean](doc//ChangedValueBean.md)
 - [ChangedWorklog](doc//ChangedWorklog.md)
 - [ChangedWorklogs](doc//ChangedWorklogs.md)
 - [Changelog](doc//Changelog.md)
 - [ColumnItem](doc//ColumnItem.md)
 - [Comment](doc//Comment.md)
 - [Component](doc//Component.md)
 - [ComponentIssuesCount](doc//ComponentIssuesCount.md)
 - [ComponentWithIssueCount](doc//ComponentWithIssueCount.md)
 - [CompoundClause](doc//CompoundClause.md)
 - [Configuration](doc//Configuration.md)
 - [ConnectWorkflowTransitionRule](doc//ConnectWorkflowTransitionRule.md)
 - [ContainerForRegisteredWebhooks](doc//ContainerForRegisteredWebhooks.md)
 - [ContainerForWebhookIDs](doc//ContainerForWebhookIDs.md)
 - [ContainerOfWorkflowSchemeAssociations](doc//ContainerOfWorkflowSchemeAssociations.md)
 - [Context](doc//Context.md)
 - [ConvertedJQLQueries](doc//ConvertedJQLQueries.md)
 - [CreateUpdateRoleRequestBean](doc//CreateUpdateRoleRequestBean.md)
 - [CreatedIssue](doc//CreatedIssue.md)
 - [CreatedIssues](doc//CreatedIssues.md)
 - [CustomFieldDefinitionJsonBean](doc//CustomFieldDefinitionJsonBean.md)
 - [CustomFieldOption](doc//CustomFieldOption.md)
 - [CustomFieldOptionDetails](doc//CustomFieldOptionDetails.md)
 - [CustomFieldOptionValue](doc//CustomFieldOptionValue.md)
 - [CustomFieldReplacement](doc//CustomFieldReplacement.md)
 - [Dashboard](doc//Dashboard.md)
 - [DefaultShareScope](doc//DefaultShareScope.md)
 - [DefaultWorkflow](doc//DefaultWorkflow.md)
 - [DeleteAndReplaceVersionBean](doc//DeleteAndReplaceVersionBean.md)
 - [DeprecatedWorkflow](doc//DeprecatedWorkflow.md)
 - [EntityProperty](doc//EntityProperty.md)
 - [ErrorCollection](doc//ErrorCollection.md)
 - [ErrorMessage](doc//ErrorMessage.md)
 - [EventNotification](doc//EventNotification.md)
 - [FailedWebhook](doc//FailedWebhook.md)
 - [FailedWebhooks](doc//FailedWebhooks.md)
 - [Field](doc//Field.md)
 - [FieldChangedClause](doc//FieldChangedClause.md)
 - [FieldConfiguration](doc//FieldConfiguration.md)
 - [FieldConfigurationIssueTypeItem](doc//FieldConfigurationIssueTypeItem.md)
 - [FieldConfigurationItem](doc//FieldConfigurationItem.md)
 - [FieldDetails](doc//FieldDetails.md)
 - [FieldLastUsed](doc//FieldLastUsed.md)
 - [FieldMetadata](doc//FieldMetadata.md)
 - [FieldReferenceData](doc//FieldReferenceData.md)
 - [FieldUpdateOperation](doc//FieldUpdateOperation.md)
 - [FieldValueClause](doc//FieldValueClause.md)
 - [FieldWasClause](doc//FieldWasClause.md)
 - [Fields](doc//Fields.md)
 - [Filter](doc//Filter.md)
 - [FilterSubscription](doc//FilterSubscription.md)
 - [FilterSubscriptionsList](doc//FilterSubscriptionsList.md)
 - [FoundFilter](doc//FoundFilter.md)
 - [FoundGroup](doc//FoundGroup.md)
 - [FoundGroups](doc//FoundGroups.md)
 - [FoundUsers](doc//FoundUsers.md)
 - [FoundUsersAndGroups](doc//FoundUsersAndGroups.md)
 - [FunctionOperand](doc//FunctionOperand.md)
 - [FunctionReferenceData](doc//FunctionReferenceData.md)
 - [GlobalScopeBean](doc//GlobalScopeBean.md)
 - [Group](doc//Group.md)
 - [GroupLabel](doc//GroupLabel.md)
 - [GroupName](doc//GroupName.md)
 - [HealthCheckResult](doc//HealthCheckResult.md)
 - [Hierarchy](doc//Hierarchy.md)
 - [HierarchyLevel](doc//HierarchyLevel.md)
 - [HistoryMetadata](doc//HistoryMetadata.md)
 - [HistoryMetadataParticipant](doc//HistoryMetadataParticipant.md)
 - [Icon](doc//Icon.md)
 - [IconBean](doc//IconBean.md)
 - [IdBean](doc//IdBean.md)
 - [IdOrKeyBean](doc//IdOrKeyBean.md)
 - [IncludedFields](doc//IncludedFields.md)
 - [IssueBean](doc//IssueBean.md)
 - [IssueCommentListRequestBean](doc//IssueCommentListRequestBean.md)
 - [IssueCreateMetadata](doc//IssueCreateMetadata.md)
 - [IssueEntityProperties](doc//IssueEntityProperties.md)
 - [IssueFieldOption](doc//IssueFieldOption.md)
 - [IssueFieldOptionConfiguration](doc//IssueFieldOptionConfiguration.md)
 - [IssueFieldOptionCreateBean](doc//IssueFieldOptionCreateBean.md)
 - [IssueFieldOptionScopeBean](doc//IssueFieldOptionScopeBean.md)
 - [IssueFilterForBulkPropertyDelete](doc//IssueFilterForBulkPropertyDelete.md)
 - [IssueFilterForBulkPropertySet](doc//IssueFilterForBulkPropertySet.md)
 - [IssueLink](doc//IssueLink.md)
 - [IssueLinkType](doc//IssueLinkType.md)
 - [IssueLinkTypes](doc//IssueLinkTypes.md)
 - [IssueMatches](doc//IssueMatches.md)
 - [IssueMatchesForJQL](doc//IssueMatchesForJQL.md)
 - [IssuePickerSuggestions](doc//IssuePickerSuggestions.md)
 - [IssuePickerSuggestionsIssueType](doc//IssuePickerSuggestionsIssueType.md)
 - [IssueTransition](doc//IssueTransition.md)
 - [IssueTypeCreateBean](doc//IssueTypeCreateBean.md)
 - [IssueTypeDetails](doc//IssueTypeDetails.md)
 - [IssueTypeInfo](doc//IssueTypeInfo.md)
 - [IssueTypeIssueCreateMetadata](doc//IssueTypeIssueCreateMetadata.md)
 - [IssueTypeScreenSchemeItem](doc//IssueTypeScreenSchemeItem.md)
 - [IssueTypeUpdateBean](doc//IssueTypeUpdateBean.md)
 - [IssueTypeWithStatus](doc//IssueTypeWithStatus.md)
 - [IssueTypeWorkflowMapping](doc//IssueTypeWorkflowMapping.md)
 - [IssueTypesWorkflowMapping](doc//IssueTypesWorkflowMapping.md)
 - [IssueUpdateDetails](doc//IssueUpdateDetails.md)
 - [IssueUpdateMetadata](doc//IssueUpdateMetadata.md)
 - [IssuesAndJQLQueries](doc//IssuesAndJQLQueries.md)
 - [IssuesJqlMetaDataBean](doc//IssuesJqlMetaDataBean.md)
 - [IssuesMetaBean](doc//IssuesMetaBean.md)
 - [IssuesUpdateBean](doc//IssuesUpdateBean.md)
 - [JQLPersonalDataMigrationRequest](doc//JQLPersonalDataMigrationRequest.md)
 - [JQLQueryWithUnknownUsers](doc//JQLQueryWithUnknownUsers.md)
 - [JQLReferenceData](doc//JQLReferenceData.md)
 - [JexpIssues](doc//JexpIssues.md)
 - [JexpJqlIssues](doc//JexpJqlIssues.md)
 - [JiraExpressionEvalContextBean](doc//JiraExpressionEvalContextBean.md)
 - [JiraExpressionEvalRequestBean](doc//JiraExpressionEvalRequestBean.md)
 - [JiraExpressionEvaluationMetaDataBean](doc//JiraExpressionEvaluationMetaDataBean.md)
 - [JiraExpressionForAnalysis](doc//JiraExpressionForAnalysis.md)
 - [JiraExpressionResult](doc//JiraExpressionResult.md)
 - [JiraExpressionValidationError](doc//JiraExpressionValidationError.md)
 - [JiraExpressionsAnalysis](doc//JiraExpressionsAnalysis.md)
 - [JiraExpressionsComplexityBean](doc//JiraExpressionsComplexityBean.md)
 - [JiraExpressionsComplexityValueBean](doc//JiraExpressionsComplexityValueBean.md)
 - [JqlQueriesToParse](doc//JqlQueriesToParse.md)
 - [JqlQuery](doc//JqlQuery.md)
 - [JqlQueryClause](doc//JqlQueryClause.md)
 - [JqlQueryClauseOperand](doc//JqlQueryClauseOperand.md)
 - [JqlQueryClauseTimePredicate](doc//JqlQueryClauseTimePredicate.md)
 - [JqlQueryField](doc//JqlQueryField.md)
 - [JqlQueryFieldEntityProperty](doc//JqlQueryFieldEntityProperty.md)
 - [JqlQueryOrderByClause](doc//JqlQueryOrderByClause.md)
 - [JqlQueryOrderByClauseElement](doc//JqlQueryOrderByClauseElement.md)
 - [JqlQueryUnitaryOperand](doc//JqlQueryUnitaryOperand.md)
 - [JsonNode](doc//JsonNode.md)
 - [JsonTypeBean](doc//JsonTypeBean.md)
 - [KeywordOperand](doc//KeywordOperand.md)
 - [LinkGroup](doc//LinkGroup.md)
 - [LinkIssueRequestJsonBean](doc//LinkIssueRequestJsonBean.md)
 - [LinkedIssue](doc//LinkedIssue.md)
 - [ListOperand](doc//ListOperand.md)
 - [Locale](doc//Locale.md)
 - [MoveFieldBean](doc//MoveFieldBean.md)
 - [NestedResponse](doc//NestedResponse.md)
 - [Notification](doc//Notification.md)
 - [NotificationEvent](doc//NotificationEvent.md)
 - [NotificationRecipients](doc//NotificationRecipients.md)
 - [NotificationRecipientsRestrictions](doc//NotificationRecipientsRestrictions.md)
 - [NotificationScheme](doc//NotificationScheme.md)
 - [NotificationSchemeEvent](doc//NotificationSchemeEvent.md)
 - [OperationMessage](doc//OperationMessage.md)
 - [Operations](doc//Operations.md)
 - [PageBeanChangelog](doc//PageBeanChangelog.md)
 - [PageBeanComment](doc//PageBeanComment.md)
 - [PageBeanComponentWithIssueCount](doc//PageBeanComponentWithIssueCount.md)
 - [PageBeanContext](doc//PageBeanContext.md)
 - [PageBeanCustomFieldOptionDetails](doc//PageBeanCustomFieldOptionDetails.md)
 - [PageBeanDashboard](doc//PageBeanDashboard.md)
 - [PageBeanField](doc//PageBeanField.md)
 - [PageBeanFieldConfiguration](doc//PageBeanFieldConfiguration.md)
 - [PageBeanFieldConfigurationIssueTypeItem](doc//PageBeanFieldConfigurationIssueTypeItem.md)
 - [PageBeanFieldConfigurationItem](doc//PageBeanFieldConfigurationItem.md)
 - [PageBeanFoundFilter](doc//PageBeanFoundFilter.md)
 - [PageBeanIssueFieldOption](doc//PageBeanIssueFieldOption.md)
 - [PageBeanIssueTypeScreenSchemeItem](doc//PageBeanIssueTypeScreenSchemeItem.md)
 - [PageBeanNotificationScheme](doc//PageBeanNotificationScheme.md)
 - [PageBeanProject](doc//PageBeanProject.md)
 - [PageBeanScreen](doc//PageBeanScreen.md)
 - [PageBeanScreenScheme](doc//PageBeanScreenScheme.md)
 - [PageBeanString](doc//PageBeanString.md)
 - [PageBeanUser](doc//PageBeanUser.md)
 - [PageBeanUserDetails](doc//PageBeanUserDetails.md)
 - [PageBeanUserKey](doc//PageBeanUserKey.md)
 - [PageBeanVersion](doc//PageBeanVersion.md)
 - [PageBeanWebhook](doc//PageBeanWebhook.md)
 - [PageBeanWorkflow](doc//PageBeanWorkflow.md)
 - [PageBeanWorkflowScheme](doc//PageBeanWorkflowScheme.md)
 - [PageBeanWorkflowTransitionRules](doc//PageBeanWorkflowTransitionRules.md)
 - [PageOfChangelogs](doc//PageOfChangelogs.md)
 - [PageOfComments](doc//PageOfComments.md)
 - [PageOfDashboards](doc//PageOfDashboards.md)
 - [PageOfWorklogs](doc//PageOfWorklogs.md)
 - [PagedListUserDetailsApplicationUser](doc//PagedListUserDetailsApplicationUser.md)
 - [ParsedJqlQueries](doc//ParsedJqlQueries.md)
 - [ParsedJqlQuery](doc//ParsedJqlQuery.md)
 - [PermissionGrant](doc//PermissionGrant.md)
 - [PermissionGrants](doc//PermissionGrants.md)
 - [PermissionHolder](doc//PermissionHolder.md)
 - [PermissionScheme](doc//PermissionScheme.md)
 - [PermissionSchemes](doc//PermissionSchemes.md)
 - [Permissions](doc//Permissions.md)
 - [PermissionsKeysBean](doc//PermissionsKeysBean.md)
 - [PermittedProjects](doc//PermittedProjects.md)
 - [Priority](doc//Priority.md)
 - [Project](doc//Project.md)
 - [ProjectAvatars](doc//ProjectAvatars.md)
 - [ProjectCategory](doc//ProjectCategory.md)
 - [ProjectForScope](doc//ProjectForScope.md)
 - [ProjectIdentifierBean](doc//ProjectIdentifierBean.md)
 - [ProjectIdentifiers](doc//ProjectIdentifiers.md)
 - [ProjectInputBean](doc//ProjectInputBean.md)
 - [ProjectInsight](doc//ProjectInsight.md)
 - [ProjectIssueCreateMetadata](doc//ProjectIssueCreateMetadata.md)
 - [ProjectIssueSecurityLevels](doc//ProjectIssueSecurityLevels.md)
 - [ProjectIssueTypeHierarchy](doc//ProjectIssueTypeHierarchy.md)
 - [ProjectIssueTypesHierarchyLevel](doc//ProjectIssueTypesHierarchyLevel.md)
 - [ProjectPermissions](doc//ProjectPermissions.md)
 - [ProjectRole](doc//ProjectRole.md)
 - [ProjectRoleActorsUpdateBean](doc//ProjectRoleActorsUpdateBean.md)
 - [ProjectRoleGroupBean](doc//ProjectRoleGroupBean.md)
 - [ProjectRoleUserBean](doc//ProjectRoleUserBean.md)
 - [ProjectScopeBean](doc//ProjectScopeBean.md)
 - [ProjectType](doc//ProjectType.md)
 - [PropertyKey](doc//PropertyKey.md)
 - [PropertyKeys](doc//PropertyKeys.md)
 - [PublishedWorkflowId](doc//PublishedWorkflowId.md)
 - [RegisteredWebhook](doc//RegisteredWebhook.md)
 - [RemoteIssueLink](doc//RemoteIssueLink.md)
 - [RemoteIssueLinkIdentifies](doc//RemoteIssueLinkIdentifies.md)
 - [RemoteIssueLinkRequest](doc//RemoteIssueLinkRequest.md)
 - [RemoteObject](doc//RemoteObject.md)
 - [RemoveOptionFromIssuesResult](doc//RemoveOptionFromIssuesResult.md)
 - [RenamedCascadingOption](doc//RenamedCascadingOption.md)
 - [RenamedOption](doc//RenamedOption.md)
 - [Resolution](doc//Resolution.md)
 - [RestrictedPermission](doc//RestrictedPermission.md)
 - [RichText](doc//RichText.md)
 - [RoleActor](doc//RoleActor.md)
 - [RuleConfiguration](doc//RuleConfiguration.md)
 - [Scope](doc//Scope.md)
 - [Screen](doc//Screen.md)
 - [ScreenID](doc//ScreenID.md)
 - [ScreenScheme](doc//ScreenScheme.md)
 - [ScreenTypeIDsBean](doc//ScreenTypeIDsBean.md)
 - [ScreenableField](doc//ScreenableField.md)
 - [ScreenableTab](doc//ScreenableTab.md)
 - [SearchRequestBean](doc//SearchRequestBean.md)
 - [SearchResults](doc//SearchResults.md)
 - [SecurityLevel](doc//SecurityLevel.md)
 - [SecurityScheme](doc//SecurityScheme.md)
 - [SecuritySchemes](doc//SecuritySchemes.md)
 - [ServerInformation](doc//ServerInformation.md)
 - [SharePermission](doc//SharePermission.md)
 - [SharePermissionInputBean](doc//SharePermissionInputBean.md)
 - [SimpleApplicationPropertyBean](doc//SimpleApplicationPropertyBean.md)
 - [SimpleErrorCollection](doc//SimpleErrorCollection.md)
 - [SimpleLink](doc//SimpleLink.md)
 - [SimpleListWrapperApplicationRole](doc//SimpleListWrapperApplicationRole.md)
 - [SimpleListWrapperGroupName](doc//SimpleListWrapperGroupName.md)
 - [Status](doc//Status.md)
 - [StatusCategory](doc//StatusCategory.md)
 - [StatusDetails](doc//StatusDetails.md)
 - [SuggestedIssue](doc//SuggestedIssue.md)
 - [SystemAvatars](doc//SystemAvatars.md)
 - [TaskProgressBeanObject](doc//TaskProgressBeanObject.md)
 - [TaskProgressBeanRemoveOptionFromIssuesResult](doc//TaskProgressBeanRemoveOptionFromIssuesResult.md)
 - [TimeTrackingConfiguration](doc//TimeTrackingConfiguration.md)
 - [TimeTrackingProvider](doc//TimeTrackingProvider.md)
 - [Transition](doc//Transition.md)
 - [Transitions](doc//Transitions.md)
 - [UnrestrictedUserEmail](doc//UnrestrictedUserEmail.md)
 - [UpdateCustomFieldOption](doc//UpdateCustomFieldOption.md)
 - [UpdateUserToGroupBean](doc//UpdateUserToGroupBean.md)
 - [UpdatedProjectCategory](doc//UpdatedProjectCategory.md)
 - [User](doc//User.md)
 - [UserBean](doc//UserBean.md)
 - [UserBeanAvatarUrls](doc//UserBeanAvatarUrls.md)
 - [UserDetails](doc//UserDetails.md)
 - [UserKey](doc//UserKey.md)
 - [UserList](doc//UserList.md)
 - [UserMigrationBean](doc//UserMigrationBean.md)
 - [UserPermission](doc//UserPermission.md)
 - [UserPickerUser](doc//UserPickerUser.md)
 - [UserWriteBean](doc//UserWriteBean.md)
 - [ValueOperand](doc//ValueOperand.md)
 - [Version](doc//Version.md)
 - [VersionIssueCounts](doc//VersionIssueCounts.md)
 - [VersionIssuesStatus](doc//VersionIssuesStatus.md)
 - [VersionMoveBean](doc//VersionMoveBean.md)
 - [VersionUnresolvedIssuesCount](doc//VersionUnresolvedIssuesCount.md)
 - [VersionUsageInCustomField](doc//VersionUsageInCustomField.md)
 - [Visibility](doc//Visibility.md)
 - [Votes](doc//Votes.md)
 - [Watchers](doc//Watchers.md)
 - [Webhook](doc//Webhook.md)
 - [WebhookDetails](doc//WebhookDetails.md)
 - [WebhookRegistrationDetails](doc//WebhookRegistrationDetails.md)
 - [WebhooksExpirationDate](doc//WebhooksExpirationDate.md)
 - [Workflow](doc//Workflow.md)
 - [WorkflowId](doc//WorkflowId.md)
 - [WorkflowRules](doc//WorkflowRules.md)
 - [WorkflowScheme](doc//WorkflowScheme.md)
 - [WorkflowSchemeAssociations](doc//WorkflowSchemeAssociations.md)
 - [WorkflowStatus](doc//WorkflowStatus.md)
 - [WorkflowStatusProperties](doc//WorkflowStatusProperties.md)
 - [WorkflowTransition](doc//WorkflowTransition.md)
 - [WorkflowTransitionProperty](doc//WorkflowTransitionProperty.md)
 - [WorkflowTransitionRule](doc//WorkflowTransitionRule.md)
 - [WorkflowTransitionRules](doc//WorkflowTransitionRules.md)
 - [WorkflowTransitionRulesUpdate](doc//WorkflowTransitionRulesUpdate.md)
 - [WorkflowTransitionRulesUpdateErrorDetails](doc//WorkflowTransitionRulesUpdateErrorDetails.md)
 - [WorkflowTransitionRulesUpdateErrors](doc//WorkflowTransitionRulesUpdateErrors.md)
 - [Worklog](doc//Worklog.md)
 - [WorklogIdsRequestBean](doc//WorklogIdsRequestBean.md)


## Documentation For Authorization


## OAuth2

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: https://auth.atlassian.com/authorize
- **Scopes**: 
 - **read:jira-user**: View user information in Jira that you have access to, including usernames, email addresses, and avatars.
 - **read:jira-work**: Read project and issue data. Search for issues and objects associated with issues (such as attachments and worklogs).
 - **write:jira-work**: Create and edit issues in Jira, post comments, create worklogs, and delete issues.
 - **manage:jira-project**: Create and edit project settings and create new project-level objects, for example, versions, components.
 - **manage:jira-configuration**: Configure Jira settings that require the Jira administrators permission, for example, create projects and custom fields, view workflows, manage issue link types.

## basicAuth

- **Type**: HTTP basic authentication


## Author

ecosystem@atlassian.com


